/* eslint-disable */
import { TypedDocumentNode as DocumentNode } from '@graphql-typed-document-node/core';
export type Maybe<T> = T | null;
export type InputMaybe<T> = Maybe<T>;
export type Exact<T extends { [key: string]: unknown }> = { [K in keyof T]: T[K] };
export type MakeOptional<T, K extends keyof T> = Omit<T, K> & { [SubKey in K]?: Maybe<T[SubKey]> };
export type MakeMaybe<T, K extends keyof T> = Omit<T, K> & { [SubKey in K]: Maybe<T[SubKey]> };
export type MakeEmpty<T extends { [key: string]: unknown }, K extends keyof T> = { [_ in K]?: never };
export type Incremental<T> = T | { [P in keyof T]?: P extends ' $fragmentName' | '__typename' ? T[P] : never };
/** All built-in and custom scalars, mapped to their actual values */
export type Scalars = {
  ID: { input: string; output: string; }
  String: { input: string; output: string; }
  Boolean: { input: boolean; output: boolean; }
  Int: { input: number; output: number; }
  Float: { input: number; output: number; }
  /**
   * The `DateTime` scalar type represents a DateTime
   * value as specified by
   * [iso8601](https://en.wikipedia.org/wiki/ISO_8601).
   */
  DateTime: { input: any; output: any; }
  /**
   * Allows use of a JSON String for input / output from the GraphQL schema.
   *
   * Use of this type is *not recommended* as you lose the benefits of having a defined, static
   * schema (one of the key benefits of GraphQL).
   */
  JSONString: { input: any; output: any; }
  /** GraphQL type for an integer that must be equal or greater than zero. */
  PositiveInt: { input: any; output: any; }
  RichText: { input: any; output: any; }
  /**
   * Leverages the internal Python implementation of UUID (uuid.UUID) to provide native UUID objects
   * in fields, resolvers and input.
   */
  UUID: { input: any; output: any; }
};

export type AccordionBlock = StreamFieldInterface & {
  __typename?: 'AccordionBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  field: Scalars['String']['output'];
  heading: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
};

export type AssociationIndex = PageInterface & {
  __typename?: 'AssociationIndex';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  lead?: Maybe<Scalars['RichText']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type AssociationIndexAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationIndexChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationIndexDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationIndexNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationIndexPreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationIndexSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type AssociationPage = PageInterface & {
  __typename?: 'AssociationPage';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationType?: Maybe<Scalars['String']['output']>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  excerpt?: Maybe<Scalars['String']['output']>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  lead?: Maybe<Scalars['RichText']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  logo?: Maybe<CustomImage>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
  websiteUrl?: Maybe<Scalars['String']['output']>;
};


export type AssociationPageAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationPageChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationPageDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationPageNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationPagePreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type AssociationPageSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type BlockQuoteBlock = StreamFieldInterface & {
  __typename?: 'BlockQuoteBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type BooleanBlock = StreamFieldInterface & {
  __typename?: 'BooleanBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['Boolean']['output'];
};

export type CharBlock = StreamFieldInterface & {
  __typename?: 'CharBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type ChoiceBlock = StreamFieldInterface & {
  __typename?: 'ChoiceBlock';
  blockType: Scalars['String']['output'];
  choices: Array<ChoiceOption>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type ChoiceOption = {
  __typename?: 'ChoiceOption';
  key: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

/** Collection type */
export type CollectionObjectType = {
  __typename?: 'CollectionObjectType';
  ancestors: Array<Maybe<CollectionObjectType>>;
  depth: Scalars['Int']['output'];
  descendants: Array<Maybe<CollectionObjectType>>;
  id: Scalars['ID']['output'];
  name: Scalars['String']['output'];
  numchild: Scalars['Int']['output'];
  path: Scalars['String']['output'];
};

export type ContactEntity = {
  __typename?: 'ContactEntity';
  contactType: Scalars['String']['output'];
  email?: Maybe<Scalars['String']['output']>;
  id?: Maybe<Scalars['ID']['output']>;
  image?: Maybe<CustomImage>;
  name: Scalars['String']['output'];
  phoneNumber?: Maybe<Scalars['String']['output']>;
  title?: Maybe<Scalars['String']['output']>;
};

export type ContactEntityBlock = StreamFieldInterface & {
  __typename?: 'ContactEntityBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  contactEntity?: Maybe<ContactEntity>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
};

export type ContactIndex = PageInterface & {
  __typename?: 'ContactIndex';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  lead?: Maybe<Scalars['RichText']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type ContactIndexAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type ContactIndexChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type ContactIndexDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type ContactIndexNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type ContactIndexPreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type ContactIndexSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type ContactListBlock = StreamFieldInterface & {
  __typename?: 'ContactListBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  items: Array<StreamFieldInterface>;
  rawValue: Scalars['String']['output'];
};

export type ContactSectionBlock = StreamFieldInterface & {
  __typename?: 'ContactSectionBlock';
  blockType: Scalars['String']['output'];
  blocks?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  text?: Maybe<Scalars['String']['output']>;
  title: Scalars['String']['output'];
};

export type ContactSubsectionBlock = StreamFieldInterface & {
  __typename?: 'ContactSubsectionBlock';
  blockType: Scalars['String']['output'];
  blocks?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  text?: Maybe<Scalars['String']['output']>;
  title: Scalars['String']['output'];
};

export type CustomImage = {
  __typename?: 'CustomImage';
  alt?: Maybe<Scalars['String']['output']>;
  aspectRatio: Scalars['Float']['output'];
  attribution?: Maybe<Scalars['String']['output']>;
  collection: CollectionObjectType;
  createdAt: Scalars['DateTime']['output'];
  file: Scalars['String']['output'];
  fileHash: Scalars['String']['output'];
  fileSize?: Maybe<Scalars['Int']['output']>;
  focalPointHeight?: Maybe<Scalars['Int']['output']>;
  focalPointWidth?: Maybe<Scalars['Int']['output']>;
  focalPointX?: Maybe<Scalars['Int']['output']>;
  focalPointY?: Maybe<Scalars['Int']['output']>;
  height: Scalars['Int']['output'];
  id?: Maybe<Scalars['ID']['output']>;
  isSvg: Scalars['Boolean']['output'];
  rendition?: Maybe<Rendition>;
  sizes: Scalars['String']['output'];
  /** @deprecated Use the `url` attribute */
  src: Scalars['String']['output'];
  srcSet?: Maybe<Scalars['String']['output']>;
  tags: Array<TagObjectType>;
  title: Scalars['String']['output'];
  url: Scalars['String']['output'];
  width: Scalars['Int']['output'];
};


export type CustomImageRenditionArgs = {
  bgcolor?: InputMaybe<Scalars['String']['input']>;
  fill?: InputMaybe<Scalars['String']['input']>;
  format?: InputMaybe<Scalars['String']['input']>;
  height?: InputMaybe<Scalars['Int']['input']>;
  jpegquality?: InputMaybe<Scalars['Int']['input']>;
  max?: InputMaybe<Scalars['String']['input']>;
  min?: InputMaybe<Scalars['String']['input']>;
  preserveSvg?: InputMaybe<Scalars['Boolean']['input']>;
  webpquality?: InputMaybe<Scalars['Int']['input']>;
  width?: InputMaybe<Scalars['Int']['input']>;
};


export type CustomImageSrcSetArgs = {
  format?: InputMaybe<Scalars['String']['input']>;
  preserveSvg?: InputMaybe<Scalars['Boolean']['input']>;
  sizes?: InputMaybe<Array<InputMaybe<Scalars['Int']['input']>>>;
};

export type DateBlock = StreamFieldInterface & {
  __typename?: 'DateBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};


export type DateBlockValueArgs = {
  format?: InputMaybe<Scalars['String']['input']>;
};

export type DateTimeBlock = StreamFieldInterface & {
  __typename?: 'DateTimeBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};


export type DateTimeBlockValueArgs = {
  format?: InputMaybe<Scalars['String']['input']>;
};

export type DecimalBlock = StreamFieldInterface & {
  __typename?: 'DecimalBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['Float']['output'];
};

export type DocumentChooserBlock = StreamFieldInterface & {
  __typename?: 'DocumentChooserBlock';
  blockType: Scalars['String']['output'];
  document?: Maybe<DocumentObjectType>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
};

/**
 * Base document type used if one isn't generated for the current model.
 * All other node types extend this.
 */
export type DocumentObjectType = {
  __typename?: 'DocumentObjectType';
  collection: CollectionObjectType;
  createdAt: Scalars['DateTime']['output'];
  file: Scalars['String']['output'];
  fileHash: Scalars['String']['output'];
  fileSize?: Maybe<Scalars['Int']['output']>;
  id: Scalars['ID']['output'];
  tags: Array<TagObjectType>;
  title: Scalars['String']['output'];
  url: Scalars['String']['output'];
};

export type EmailBlock = StreamFieldInterface & {
  __typename?: 'EmailBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type EmbedBlock = StreamFieldInterface & {
  __typename?: 'EmbedBlock';
  blockType: Scalars['String']['output'];
  embed?: Maybe<Scalars['String']['output']>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawEmbed?: Maybe<Scalars['JSONString']['output']>;
  rawValue: Scalars['String']['output'];
  url: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type EventCategory = {
  __typename?: 'EventCategory';
  id?: Maybe<Scalars['ID']['output']>;
  name: Scalars['String']['output'];
  pig: Scalars['String']['output'];
  showInFilters: Scalars['Boolean']['output'];
  slug: Scalars['String']['output'];
};

export type EventIndex = PageInterface & {
  __typename?: 'EventIndex';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  futureEvents: Array<EventPage>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type EventIndexAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventIndexChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventIndexDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventIndexFutureEventsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventIndexNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventIndexPreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventIndexSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type EventOccurrence = {
  __typename?: 'EventOccurrence';
  end?: Maybe<Scalars['String']['output']>;
  id?: Maybe<Scalars['ID']['output']>;
  start: Scalars['String']['output'];
  venue?: Maybe<VenuePage>;
};

export type EventOrganizer = {
  __typename?: 'EventOrganizer';
  association?: Maybe<AssociationPage>;
  externalUrl?: Maybe<Scalars['String']['output']>;
  id?: Maybe<Scalars['ID']['output']>;
  name: Scalars['String']['output'];
  slug: Scalars['String']['output'];
};

export type EventOrganizerLink = {
  __typename?: 'EventOrganizerLink';
  id?: Maybe<Scalars['ID']['output']>;
  organizer?: Maybe<EventOrganizer>;
};

export type EventPage = PageInterface & {
  __typename?: 'EventPage';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  categories: Array<EventCategory>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  facebookUrl?: Maybe<Scalars['String']['output']>;
  featuredImage?: Maybe<CustomImage>;
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  free?: Maybe<Scalars['Boolean']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  lead?: Maybe<Scalars['RichText']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  occurrences: Array<EventOccurrence>;
  organizers: Array<EventOrganizer>;
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  pig?: Maybe<Scalars['String']['output']>;
  previousSiblings: Array<PageInterface>;
  priceMember?: Maybe<Scalars['String']['output']>;
  priceRegular?: Maybe<Scalars['String']['output']>;
  priceStudent?: Maybe<Scalars['String']['output']>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  subtitle?: Maybe<Scalars['String']['output']>;
  ticketUrl?: Maybe<Scalars['String']['output']>;
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type EventPageAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventPageCategoriesArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventPageChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventPageDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventPageNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventPageOccurrencesArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventPageOrganizersArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventPagePreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type EventPageSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type FactBoxBlock = StreamFieldInterface & {
  __typename?: 'FactBoxBlock';
  backgroundColor?: Maybe<Scalars['String']['output']>;
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  body: Scalars['RichText']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
};

export type FeaturedBlock = StreamFieldInterface & {
  __typename?: 'FeaturedBlock';
  backgroundColor?: Maybe<Scalars['String']['output']>;
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  featuredImageOverride?: Maybe<CustomImage>;
  featuredPage: PageInterface;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  imagePosition: Scalars['String']['output'];
  linkText: Scalars['String']['output'];
  rawValue: Scalars['String']['output'];
  text: Scalars['String']['output'];
  title: Scalars['String']['output'];
};

export type FloatBlock = StreamFieldInterface & {
  __typename?: 'FloatBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['Float']['output'];
};

export type GenericPage = PageInterface & {
  __typename?: 'GenericPage';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  lead?: Maybe<Scalars['RichText']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type GenericPageAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type GenericPageChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type GenericPageDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type GenericPageNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type GenericPagePreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type GenericPageSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type HomePage = PageInterface & {
  __typename?: 'HomePage';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  featuredEvents: Array<EventPage>;
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type HomePageAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type HomePageChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type HomePageDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type HomePageFeaturedEventsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type HomePageNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type HomePagePreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type HomePageSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type HomePageFeaturedEvents = {
  __typename?: 'HomePageFeaturedEvents';
  id?: Maybe<Scalars['ID']['output']>;
};

export type HorizontalRuleBlock = StreamFieldInterface & {
  __typename?: 'HorizontalRuleBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  color?: Maybe<Scalars['String']['output']>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
};

export type ImageChooserBlock = StreamFieldInterface & {
  __typename?: 'ImageChooserBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  image?: Maybe<CustomImage>;
  rawValue: Scalars['String']['output'];
};

export type ImageSliderBlock = StreamFieldInterface & {
  __typename?: 'ImageSliderBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  images?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  rawValue: Scalars['String']['output'];
};

export type ImageSliderItemBlock = StreamFieldInterface & {
  __typename?: 'ImageSliderItemBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  image: CustomImage;
  rawValue: Scalars['String']['output'];
  text?: Maybe<Scalars['String']['output']>;
};

export type ImageWithTextBlock = StreamFieldInterface & {
  __typename?: 'ImageWithTextBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  image: CustomImage;
  imageFormat: Scalars['String']['output'];
  rawValue: Scalars['String']['output'];
  text?: Maybe<Scalars['String']['output']>;
};

export type IntegerBlock = StreamFieldInterface & {
  __typename?: 'IntegerBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['Int']['output'];
};

export type ListBlock = StreamFieldInterface & {
  __typename?: 'ListBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  items: Array<StreamFieldInterface>;
  rawValue: Scalars['String']['output'];
};

export type NewsIndex = PageInterface & {
  __typename?: 'NewsIndex';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  lead?: Maybe<Scalars['RichText']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type NewsIndexAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsIndexChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsIndexDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsIndexNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsIndexPreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsIndexSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type NewsPage = PageInterface & {
  __typename?: 'NewsPage';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  excerpt?: Maybe<Scalars['String']['output']>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  featuredImage?: Maybe<CustomImage>;
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  lead?: Maybe<Scalars['RichText']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type NewsPageAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsPageChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsPageDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsPageNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsPagePreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type NewsPageSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type OpeningHoursItem = {
  __typename?: 'OpeningHoursItem';
  function: Scalars['String']['output'];
  id?: Maybe<Scalars['ID']['output']>;
  week?: Maybe<Array<Maybe<StreamFieldInterface>>>;
};

export type OpeningHoursRangeBlock = StreamFieldInterface & {
  __typename?: 'OpeningHoursRangeBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  custom?: Maybe<Scalars['String']['output']>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  timeFrom?: Maybe<Scalars['String']['output']>;
  timeTo?: Maybe<Scalars['String']['output']>;
};

export type OpeningHoursSet = {
  __typename?: 'OpeningHoursSet';
  announcement?: Maybe<Scalars['String']['output']>;
  effectiveFrom: Scalars['String']['output'];
  effectiveTo?: Maybe<Scalars['String']['output']>;
  id?: Maybe<Scalars['ID']['output']>;
  items?: Maybe<Array<Maybe<OpeningHoursItem>>>;
  name: Scalars['String']['output'];
};

export type OpeningHoursWeekBlock = StreamFieldInterface & {
  __typename?: 'OpeningHoursWeekBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  field: Scalars['String']['output'];
  friday?: Maybe<StreamFieldInterface>;
  id?: Maybe<Scalars['String']['output']>;
  monday?: Maybe<StreamFieldInterface>;
  rawValue: Scalars['String']['output'];
  saturday?: Maybe<StreamFieldInterface>;
  sunday?: Maybe<StreamFieldInterface>;
  thursday?: Maybe<StreamFieldInterface>;
  tuesday?: Maybe<StreamFieldInterface>;
  wednesday?: Maybe<StreamFieldInterface>;
};

/**
 * Base Page type used if one isn't generated for the current model.
 * All other node types extend this.
 */
export type Page = PageInterface & {
  __typename?: 'Page';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


/**
 * Base Page type used if one isn't generated for the current model.
 * All other node types extend this.
 */
export type PageAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


/**
 * Base Page type used if one isn't generated for the current model.
 * All other node types extend this.
 */
export type PageChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


/**
 * Base Page type used if one isn't generated for the current model.
 * All other node types extend this.
 */
export type PageDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


/**
 * Base Page type used if one isn't generated for the current model.
 * All other node types extend this.
 */
export type PageNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


/**
 * Base Page type used if one isn't generated for the current model.
 * All other node types extend this.
 */
export type PagePreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


/**
 * Base Page type used if one isn't generated for the current model.
 * All other node types extend this.
 */
export type PageSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type PageChooserBlock = StreamFieldInterface & {
  __typename?: 'PageChooserBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  page?: Maybe<PageInterface>;
  rawValue: Scalars['String']['output'];
};

export type PageInterface = {
  ancestors: Array<PageInterface>;
  children: Array<PageInterface>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  nextSiblings: Array<PageInterface>;
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
};


export type PageInterfaceAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type PageInterfaceChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type PageInterfaceDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type PageInterfaceNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type PageInterfacePreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type PageInterfaceSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type PageSectionBlock = StreamFieldInterface & {
  __typename?: 'PageSectionBlock';
  backgroundColor?: Maybe<Scalars['String']['output']>;
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  title: Scalars['String']['output'];
};

export type Query = {
  __typename?: 'Query';
  associationIndex?: Maybe<AssociationIndex>;
  collections: Array<Maybe<CollectionObjectType>>;
  contactEntities?: Maybe<Array<Maybe<ContactEntity>>>;
  contactEntity?: Maybe<ContactEntity>;
  contactIndex?: Maybe<ContactIndex>;
  document?: Maybe<DocumentObjectType>;
  documentType: Scalars['String']['output'];
  documents: Array<DocumentObjectType>;
  eventCategories?: Maybe<Array<Maybe<EventCategory>>>;
  eventCategory?: Maybe<EventCategory>;
  eventIndex?: Maybe<EventIndex>;
  eventOrganizer?: Maybe<EventOrganizer>;
  eventOrganizers?: Maybe<Array<Maybe<EventOrganizer>>>;
  image?: Maybe<CustomImage>;
  imageType: Scalars['String']['output'];
  images: Array<CustomImage>;
  newsIndex?: Maybe<NewsIndex>;
  openingHoursSet?: Maybe<OpeningHoursSet>;
  openingHoursSets?: Maybe<Array<Maybe<OpeningHoursSet>>>;
  page?: Maybe<PageInterface>;
  pages: Array<PageInterface>;
  redirects: Array<Redirect>;
  search: Array<Search>;
  site?: Maybe<SiteObjectType>;
  sites: Array<SiteObjectType>;
  tag?: Maybe<TagObjectType>;
  tags: Array<TagObjectType>;
  venueIndex?: Maybe<VenueIndex>;
  venueRentalIndex?: Maybe<VenueRentalIndex>;
};


export type QueryAssociationIndexArgs = {
  order?: InputMaybe<Scalars['String']['input']>;
  token?: InputMaybe<Scalars['String']['input']>;
};


export type QueryCollectionsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
};


export type QueryContactEntitiesArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type QueryContactEntityArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
};


export type QueryContactIndexArgs = {
  order?: InputMaybe<Scalars['String']['input']>;
  token?: InputMaybe<Scalars['String']['input']>;
};


export type QueryDocumentArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
};


export type QueryDocumentsArgs = {
  collection?: InputMaybe<Scalars['ID']['input']>;
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type QueryEventCategoriesArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type QueryEventCategoryArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
};


export type QueryEventIndexArgs = {
  order?: InputMaybe<Scalars['String']['input']>;
  token?: InputMaybe<Scalars['String']['input']>;
};


export type QueryEventOrganizerArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
};


export type QueryEventOrganizersArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type QueryImageArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
};


export type QueryImagesArgs = {
  collection?: InputMaybe<Scalars['ID']['input']>;
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type QueryNewsIndexArgs = {
  order?: InputMaybe<Scalars['String']['input']>;
  token?: InputMaybe<Scalars['String']['input']>;
};


export type QueryOpeningHoursSetArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
};


export type QueryOpeningHoursSetsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type QueryPageArgs = {
  contentType?: InputMaybe<Scalars['String']['input']>;
  id?: InputMaybe<Scalars['ID']['input']>;
  inSite?: InputMaybe<Scalars['Boolean']['input']>;
  site?: InputMaybe<Scalars['String']['input']>;
  slug?: InputMaybe<Scalars['String']['input']>;
  token?: InputMaybe<Scalars['String']['input']>;
  urlPath?: InputMaybe<Scalars['String']['input']>;
};


export type QueryPagesArgs = {
  ancestor?: InputMaybe<Scalars['ID']['input']>;
  contentType?: InputMaybe<Scalars['String']['input']>;
  id?: InputMaybe<Scalars['ID']['input']>;
  inSite?: InputMaybe<Scalars['Boolean']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  parent?: InputMaybe<Scalars['ID']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
  site?: InputMaybe<Scalars['String']['input']>;
};


export type QuerySearchArgs = {
  query?: InputMaybe<Scalars['String']['input']>;
};


export type QuerySiteArgs = {
  hostname?: InputMaybe<Scalars['String']['input']>;
  id?: InputMaybe<Scalars['ID']['input']>;
};


export type QuerySitesArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type QueryTagArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
};


export type QueryTagsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
};


export type QueryVenueIndexArgs = {
  order?: InputMaybe<Scalars['String']['input']>;
  token?: InputMaybe<Scalars['String']['input']>;
};


export type QueryVenueRentalIndexArgs = {
  order?: InputMaybe<Scalars['String']['input']>;
  token?: InputMaybe<Scalars['String']['input']>;
};

export type RawHtmlBlock = StreamFieldInterface & {
  __typename?: 'RawHTMLBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type Redirect = {
  __typename?: 'Redirect';
  isPermanent: Scalars['Boolean']['output'];
  newUrl?: Maybe<Scalars['String']['output']>;
  oldPath: Scalars['String']['output'];
  oldUrl: Scalars['String']['output'];
  page?: Maybe<PageInterface>;
  site: SiteObjectType;
};

export type RegexBlock = StreamFieldInterface & {
  __typename?: 'RegexBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type Rendition = {
  __typename?: 'Rendition';
  alt: Scalars['String']['output'];
  backgroundPositionStyle: Scalars['String']['output'];
  file: Scalars['String']['output'];
  filterSpec: Scalars['String']['output'];
  focalPoint?: Maybe<Scalars['String']['output']>;
  focalPointKey: Scalars['String']['output'];
  height: Scalars['Int']['output'];
  id?: Maybe<Scalars['ID']['output']>;
  image: CustomImage;
  url: Scalars['String']['output'];
  width: Scalars['Int']['output'];
};

export type RichTextBlock = StreamFieldInterface & {
  __typename?: 'RichTextBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type Search = AssociationIndex | AssociationPage | ContactEntity | ContactIndex | CustomImage | EventCategory | EventIndex | EventOccurrence | EventOrganizer | EventOrganizerLink | EventPage | GenericPage | HomePage | HomePageFeaturedEvents | NewsIndex | NewsPage | OpeningHoursItem | OpeningHoursSet | Page | Rendition | VenueIndex | VenuePage | VenueRentalIndex;

export type SiteObjectType = {
  __typename?: 'SiteObjectType';
  hostname: Scalars['String']['output'];
  id: Scalars['ID']['output'];
  /** Hvis merket vil denne siden håndtere forespørsler for alle andre vertsnavn som ikke har noen egen nettstedsoppføring. */
  isDefaultSite: Scalars['Boolean']['output'];
  page?: Maybe<PageInterface>;
  pages: Array<PageInterface>;
  /** Sett denne til noe annet enn 80 dersom du har behov for at en spesifikk port vises i URLer (feks. utvikling på port 8000). Dette påvirker ikke håndtering av forespørsler (så port forwarding fungerer fortsatt). */
  port: Scalars['Int']['output'];
  rootPage: Page;
  /** Lesbart navn for nettstedet */
  siteName: Scalars['String']['output'];
};


export type SiteObjectTypePageArgs = {
  contentType?: InputMaybe<Scalars['String']['input']>;
  id?: InputMaybe<Scalars['ID']['input']>;
  slug?: InputMaybe<Scalars['String']['input']>;
  token?: InputMaybe<Scalars['String']['input']>;
  urlPath?: InputMaybe<Scalars['String']['input']>;
};


export type SiteObjectTypePagesArgs = {
  contentType?: InputMaybe<Scalars['String']['input']>;
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type StaticBlock = StreamFieldInterface & {
  __typename?: 'StaticBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type StreamBlock = StreamFieldInterface & {
  __typename?: 'StreamBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
};

export type StreamFieldBlock = StreamFieldInterface & {
  __typename?: 'StreamFieldBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type StreamFieldInterface = {
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
};

export type StructBlock = StreamFieldInterface & {
  __typename?: 'StructBlock';
  blockType: Scalars['String']['output'];
  blocks: Array<StreamFieldInterface>;
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
};

export type TagObjectType = {
  __typename?: 'TagObjectType';
  id: Scalars['ID']['output'];
  name: Scalars['String']['output'];
};

export type TextBlock = StreamFieldInterface & {
  __typename?: 'TextBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type TimeBlock = StreamFieldInterface & {
  __typename?: 'TimeBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};


export type TimeBlockValueArgs = {
  format?: InputMaybe<Scalars['String']['input']>;
};

export type UrlBlock = StreamFieldInterface & {
  __typename?: 'URLBlock';
  blockType: Scalars['String']['output'];
  field: Scalars['String']['output'];
  id?: Maybe<Scalars['String']['output']>;
  rawValue: Scalars['String']['output'];
  value: Scalars['String']['output'];
};

export type VenueIndex = PageInterface & {
  __typename?: 'VenueIndex';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  lead?: Maybe<Scalars['RichText']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type VenueIndexAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueIndexChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueIndexDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueIndexNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueIndexPreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueIndexSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type VenuePage = PageInterface & {
  __typename?: 'VenuePage';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  capabilityAudio?: Maybe<Scalars['String']['output']>;
  capabilityAudioVideo?: Maybe<Scalars['String']['output']>;
  capabilityBar?: Maybe<Scalars['String']['output']>;
  capabilityLighting?: Maybe<Scalars['String']['output']>;
  capacityLegal?: Maybe<Scalars['String']['output']>;
  capacitySitting?: Maybe<Scalars['String']['output']>;
  capacityStanding?: Maybe<Scalars['String']['output']>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  featuredImage?: Maybe<CustomImage>;
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  floor?: Maybe<Scalars['String']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  images?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  preposition?: Maybe<Scalars['String']['output']>;
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showAsBookable?: Maybe<Scalars['Boolean']['output']>;
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  techSpecsUrl?: Maybe<Scalars['String']['output']>;
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  usedFor?: Maybe<Scalars['String']['output']>;
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type VenuePageAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenuePageChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenuePageDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenuePageNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenuePagePreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenuePageSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type VenueRentalIndex = PageInterface & {
  __typename?: 'VenueRentalIndex';
  aliasOf?: Maybe<Page>;
  aliases: Array<Page>;
  ancestors: Array<PageInterface>;
  associationindex?: Maybe<AssociationIndex>;
  associationpage?: Maybe<AssociationPage>;
  body?: Maybe<Array<Maybe<StreamFieldInterface>>>;
  children: Array<PageInterface>;
  contactindex?: Maybe<ContactIndex>;
  contentType: Scalars['String']['output'];
  depth?: Maybe<Scalars['Int']['output']>;
  descendants: Array<PageInterface>;
  draftTitle: Scalars['String']['output'];
  eventindex?: Maybe<EventIndex>;
  eventpage?: Maybe<EventPage>;
  expireAt?: Maybe<Scalars['DateTime']['output']>;
  expired: Scalars['Boolean']['output'];
  firstPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  genericpage?: Maybe<GenericPage>;
  goLiveAt?: Maybe<Scalars['DateTime']['output']>;
  hasUnpublishedChanges: Scalars['Boolean']['output'];
  homepage?: Maybe<HomePage>;
  id?: Maybe<Scalars['ID']['output']>;
  lastPublishedAt?: Maybe<Scalars['DateTime']['output']>;
  latestRevisionCreatedAt?: Maybe<Scalars['DateTime']['output']>;
  lead?: Maybe<Scalars['RichText']['output']>;
  live: Scalars['Boolean']['output'];
  locked?: Maybe<Scalars['Boolean']['output']>;
  lockedAt?: Maybe<Scalars['DateTime']['output']>;
  newsindex?: Maybe<NewsIndex>;
  newspage?: Maybe<NewsPage>;
  nextSiblings: Array<PageInterface>;
  numchild: Scalars['Int']['output'];
  pageType?: Maybe<Scalars['String']['output']>;
  parent?: Maybe<PageInterface>;
  path: Scalars['String']['output'];
  previousSiblings: Array<PageInterface>;
  searchDescription?: Maybe<Scalars['String']['output']>;
  searchScore?: Maybe<Scalars['Float']['output']>;
  seoTitle: Scalars['String']['output'];
  showInMenus: Scalars['Boolean']['output'];
  siblings: Array<PageInterface>;
  sitesRootedHere: Array<SiteObjectType>;
  slug: Scalars['String']['output'];
  title: Scalars['String']['output'];
  translationKey: Scalars['UUID']['output'];
  url?: Maybe<Scalars['String']['output']>;
  urlPath: Scalars['String']['output'];
  venueindex?: Maybe<VenueIndex>;
  venuepage?: Maybe<VenuePage>;
  venuerentalindex?: Maybe<VenueRentalIndex>;
};


export type VenueRentalIndexAncestorsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueRentalIndexChildrenArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueRentalIndexDescendantsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueRentalIndexNextSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueRentalIndexPreviousSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};


export type VenueRentalIndexSiblingsArgs = {
  id?: InputMaybe<Scalars['ID']['input']>;
  limit?: InputMaybe<Scalars['PositiveInt']['input']>;
  offset?: InputMaybe<Scalars['PositiveInt']['input']>;
  order?: InputMaybe<Scalars['String']['input']>;
  searchQuery?: InputMaybe<Scalars['String']['input']>;
};

export type GenericFragment = { __typename: 'GenericPage', id?: string | null, urlPath: string, title: string, lead?: any | null, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_AccordionBlock_Fragment': Blocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BlockQuoteBlock_Fragment': Blocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BooleanBlock_Fragment': Blocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_CharBlock_Fragment': Blocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ChoiceBlock_Fragment': Blocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactEntityBlock_Fragment': Blocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactListBlock_Fragment': Blocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSectionBlock_Fragment': Blocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSubsectionBlock_Fragment': Blocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateBlock_Fragment': Blocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateTimeBlock_Fragment': Blocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DecimalBlock_Fragment': Blocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DocumentChooserBlock_Fragment': Blocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmailBlock_Fragment': Blocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmbedBlock_Fragment': Blocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FactBoxBlock_Fragment': Blocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FeaturedBlock_Fragment': Blocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FloatBlock_Fragment': Blocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_HorizontalRuleBlock_Fragment': Blocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageChooserBlock_Fragment': Blocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderBlock_Fragment': Blocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderItemBlock_Fragment': Blocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageWithTextBlock_Fragment': Blocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_IntegerBlock_Fragment': Blocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ListBlock_Fragment': Blocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursRangeBlock_Fragment': Blocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursWeekBlock_Fragment': Blocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageChooserBlock_Fragment': Blocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageSectionBlock_Fragment': Blocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RawHtmlBlock_Fragment': Blocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RegexBlock_Fragment': Blocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RichTextBlock_Fragment': Blocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StaticBlock_Fragment': Blocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamBlock_Fragment': Blocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamFieldBlock_Fragment': Blocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StructBlock_Fragment': Blocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TextBlock_Fragment': Blocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TimeBlock_Fragment': Blocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_UrlBlock_Fragment': Blocks_UrlBlock_Fragment } }
  ) | null> | null } & { ' $fragmentName'?: 'GenericFragment' };

export type AllGenericSlugsQueryVariables = Exact<{ [key: string]: never; }>;


export type AllGenericSlugsQuery = { __typename?: 'Query', pages: Array<{ __typename?: 'AssociationIndex', id?: string | null, urlPath: string } | { __typename?: 'AssociationPage', id?: string | null, urlPath: string } | { __typename?: 'ContactIndex', id?: string | null, urlPath: string } | { __typename?: 'EventIndex', id?: string | null, urlPath: string } | { __typename?: 'EventPage', id?: string | null, urlPath: string } | { __typename?: 'GenericPage', id?: string | null, urlPath: string } | { __typename?: 'HomePage', id?: string | null, urlPath: string } | { __typename?: 'NewsIndex', id?: string | null, urlPath: string } | { __typename?: 'NewsPage', id?: string | null, urlPath: string } | { __typename?: 'Page', id?: string | null, urlPath: string } | { __typename?: 'VenueIndex', id?: string | null, urlPath: string } | { __typename?: 'VenuePage', id?: string | null, urlPath: string } | { __typename?: 'VenueRentalIndex', id?: string | null, urlPath: string }> };

export type GenericPageByUrlQueryVariables = Exact<{
  urlPath: Scalars['String']['input'];
}>;


export type GenericPageByUrlQuery = { __typename?: 'Query', page?: { __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | (
    { __typename?: 'GenericPage' }
    & { ' $fragmentRefs'?: { 'GenericFragment': GenericFragment } }
  ) | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | { __typename?: 'NewsPage' } | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | { __typename?: 'VenuePage' } | { __typename?: 'VenueRentalIndex' } | null };

export type AllNewsSlugsQueryVariables = Exact<{ [key: string]: never; }>;


export type AllNewsSlugsQuery = { __typename?: 'Query', pages: Array<{ __typename?: 'AssociationIndex', id?: string | null, slug: string } | { __typename?: 'AssociationPage', id?: string | null, slug: string } | { __typename?: 'ContactIndex', id?: string | null, slug: string } | { __typename?: 'EventIndex', id?: string | null, slug: string } | { __typename?: 'EventPage', id?: string | null, slug: string } | { __typename?: 'GenericPage', id?: string | null, slug: string } | { __typename?: 'HomePage', id?: string | null, slug: string } | { __typename?: 'NewsIndex', id?: string | null, slug: string } | { __typename?: 'NewsPage', id?: string | null, slug: string } | { __typename?: 'Page', id?: string | null, slug: string } | { __typename?: 'VenueIndex', id?: string | null, slug: string } | { __typename?: 'VenuePage', id?: string | null, slug: string } | { __typename?: 'VenueRentalIndex', id?: string | null, slug: string }> };

export type NewsBySlugQueryVariables = Exact<{
  slug: Scalars['String']['input'];
}>;


export type NewsBySlugQuery = { __typename?: 'Query', news?: { __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | (
    { __typename?: 'NewsPage' }
    & { ' $fragmentRefs'?: { 'NewsFragment': NewsFragment } }
  ) | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | { __typename?: 'VenuePage' } | { __typename?: 'VenueRentalIndex' } | null };

export type AllEventSlugsQueryVariables = Exact<{ [key: string]: never; }>;


export type AllEventSlugsQuery = { __typename?: 'Query', pages: Array<{ __typename?: 'AssociationIndex', id?: string | null, slug: string } | { __typename?: 'AssociationPage', id?: string | null, slug: string } | { __typename?: 'ContactIndex', id?: string | null, slug: string } | { __typename?: 'EventIndex', id?: string | null, slug: string } | { __typename?: 'EventPage', id?: string | null, slug: string } | { __typename?: 'GenericPage', id?: string | null, slug: string } | { __typename?: 'HomePage', id?: string | null, slug: string } | { __typename?: 'NewsIndex', id?: string | null, slug: string } | { __typename?: 'NewsPage', id?: string | null, slug: string } | { __typename?: 'Page', id?: string | null, slug: string } | { __typename?: 'VenueIndex', id?: string | null, slug: string } | { __typename?: 'VenuePage', id?: string | null, slug: string } | { __typename?: 'VenueRentalIndex', id?: string | null, slug: string }> };

export type EventBySlugQueryVariables = Exact<{
  slug: Scalars['String']['input'];
}>;


export type EventBySlugQuery = { __typename?: 'Query', event?: { __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | (
    { __typename?: 'EventPage' }
    & { ' $fragmentRefs'?: { 'EventFragment': EventFragment } }
  ) | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | { __typename?: 'NewsPage' } | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | { __typename?: 'VenuePage' } | { __typename?: 'VenueRentalIndex' } | null };

export type AllAssociationSlugsQueryVariables = Exact<{ [key: string]: never; }>;


export type AllAssociationSlugsQuery = { __typename?: 'Query', pages: Array<{ __typename?: 'AssociationIndex', id?: string | null, slug: string } | { __typename?: 'AssociationPage', id?: string | null, slug: string } | { __typename?: 'ContactIndex', id?: string | null, slug: string } | { __typename?: 'EventIndex', id?: string | null, slug: string } | { __typename?: 'EventPage', id?: string | null, slug: string } | { __typename?: 'GenericPage', id?: string | null, slug: string } | { __typename?: 'HomePage', id?: string | null, slug: string } | { __typename?: 'NewsIndex', id?: string | null, slug: string } | { __typename?: 'NewsPage', id?: string | null, slug: string } | { __typename?: 'Page', id?: string | null, slug: string } | { __typename?: 'VenueIndex', id?: string | null, slug: string } | { __typename?: 'VenuePage', id?: string | null, slug: string } | { __typename?: 'VenueRentalIndex', id?: string | null, slug: string }> };

export type AssociationBySlugQueryVariables = Exact<{
  slug: Scalars['String']['input'];
}>;


export type AssociationBySlugQuery = { __typename?: 'Query', association?: { __typename?: 'AssociationIndex' } | (
    { __typename?: 'AssociationPage' }
    & { ' $fragmentRefs'?: { 'AssociationFragment': AssociationFragment } }
  ) | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | { __typename?: 'NewsPage' } | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | { __typename?: 'VenuePage' } | { __typename?: 'VenueRentalIndex' } | null };

export type AssociationIndexFragment = { __typename?: 'AssociationIndex', title: string, lead?: any | null, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_AccordionBlock_Fragment': Blocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BlockQuoteBlock_Fragment': Blocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BooleanBlock_Fragment': Blocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_CharBlock_Fragment': Blocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ChoiceBlock_Fragment': Blocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactEntityBlock_Fragment': Blocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactListBlock_Fragment': Blocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSectionBlock_Fragment': Blocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSubsectionBlock_Fragment': Blocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateBlock_Fragment': Blocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateTimeBlock_Fragment': Blocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DecimalBlock_Fragment': Blocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DocumentChooserBlock_Fragment': Blocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmailBlock_Fragment': Blocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmbedBlock_Fragment': Blocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FactBoxBlock_Fragment': Blocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FeaturedBlock_Fragment': Blocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FloatBlock_Fragment': Blocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_HorizontalRuleBlock_Fragment': Blocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageChooserBlock_Fragment': Blocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderBlock_Fragment': Blocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderItemBlock_Fragment': Blocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageWithTextBlock_Fragment': Blocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_IntegerBlock_Fragment': Blocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ListBlock_Fragment': Blocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursRangeBlock_Fragment': Blocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursWeekBlock_Fragment': Blocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageChooserBlock_Fragment': Blocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageSectionBlock_Fragment': Blocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RawHtmlBlock_Fragment': Blocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RegexBlock_Fragment': Blocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RichTextBlock_Fragment': Blocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StaticBlock_Fragment': Blocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamBlock_Fragment': Blocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamFieldBlock_Fragment': Blocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StructBlock_Fragment': Blocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TextBlock_Fragment': Blocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TimeBlock_Fragment': Blocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_UrlBlock_Fragment': Blocks_UrlBlock_Fragment } }
  ) | null> | null } & { ' $fragmentName'?: 'AssociationIndexFragment' };

export type AssociationFragment = { __typename: 'AssociationPage', id?: string | null, slug: string, title: string, excerpt?: string | null, lead?: any | null, associationType?: string | null, websiteUrl?: string | null, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_AccordionBlock_Fragment': Blocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BlockQuoteBlock_Fragment': Blocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BooleanBlock_Fragment': Blocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_CharBlock_Fragment': Blocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ChoiceBlock_Fragment': Blocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactEntityBlock_Fragment': Blocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactListBlock_Fragment': Blocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSectionBlock_Fragment': Blocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSubsectionBlock_Fragment': Blocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateBlock_Fragment': Blocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateTimeBlock_Fragment': Blocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DecimalBlock_Fragment': Blocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DocumentChooserBlock_Fragment': Blocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmailBlock_Fragment': Blocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmbedBlock_Fragment': Blocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FactBoxBlock_Fragment': Blocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FeaturedBlock_Fragment': Blocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FloatBlock_Fragment': Blocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_HorizontalRuleBlock_Fragment': Blocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageChooserBlock_Fragment': Blocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderBlock_Fragment': Blocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderItemBlock_Fragment': Blocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageWithTextBlock_Fragment': Blocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_IntegerBlock_Fragment': Blocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ListBlock_Fragment': Blocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursRangeBlock_Fragment': Blocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursWeekBlock_Fragment': Blocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageChooserBlock_Fragment': Blocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageSectionBlock_Fragment': Blocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RawHtmlBlock_Fragment': Blocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RegexBlock_Fragment': Blocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RichTextBlock_Fragment': Blocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StaticBlock_Fragment': Blocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamBlock_Fragment': Blocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamFieldBlock_Fragment': Blocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StructBlock_Fragment': Blocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TextBlock_Fragment': Blocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TimeBlock_Fragment': Blocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_UrlBlock_Fragment': Blocks_UrlBlock_Fragment } }
  ) | null> | null, logo?: { __typename?: 'CustomImage', url: string, width: number, height: number } | null } & { ' $fragmentName'?: 'AssociationFragment' };

export type AllAssociationsQueryVariables = Exact<{ [key: string]: never; }>;


export type AllAssociationsQuery = { __typename?: 'Query', index?: (
    { __typename?: 'AssociationIndex' }
    & { ' $fragmentRefs'?: { 'AssociationIndexFragment': AssociationIndexFragment } }
  ) | null, associations: Array<{ __typename?: 'AssociationIndex' } | (
    { __typename?: 'AssociationPage' }
    & { ' $fragmentRefs'?: { 'AssociationFragment': AssociationFragment } }
  ) | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | { __typename?: 'NewsPage' } | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | { __typename?: 'VenuePage' } | { __typename?: 'VenueRentalIndex' }> };

export type ContactIndexFragment = { __typename?: 'ContactIndex', title: string, lead?: any | null, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_AccordionBlock_Fragment': Blocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BlockQuoteBlock_Fragment': Blocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BooleanBlock_Fragment': Blocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_CharBlock_Fragment': Blocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ChoiceBlock_Fragment': Blocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactEntityBlock_Fragment': Blocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactListBlock_Fragment': Blocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSectionBlock_Fragment': Blocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSubsectionBlock_Fragment': Blocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateBlock_Fragment': Blocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateTimeBlock_Fragment': Blocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DecimalBlock_Fragment': Blocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DocumentChooserBlock_Fragment': Blocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmailBlock_Fragment': Blocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmbedBlock_Fragment': Blocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FactBoxBlock_Fragment': Blocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FeaturedBlock_Fragment': Blocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FloatBlock_Fragment': Blocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_HorizontalRuleBlock_Fragment': Blocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageChooserBlock_Fragment': Blocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderBlock_Fragment': Blocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderItemBlock_Fragment': Blocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageWithTextBlock_Fragment': Blocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_IntegerBlock_Fragment': Blocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ListBlock_Fragment': Blocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursRangeBlock_Fragment': Blocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursWeekBlock_Fragment': Blocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageChooserBlock_Fragment': Blocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageSectionBlock_Fragment': Blocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RawHtmlBlock_Fragment': Blocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RegexBlock_Fragment': Blocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RichTextBlock_Fragment': Blocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StaticBlock_Fragment': Blocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamBlock_Fragment': Blocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamFieldBlock_Fragment': Blocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StructBlock_Fragment': Blocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TextBlock_Fragment': Blocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TimeBlock_Fragment': Blocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_UrlBlock_Fragment': Blocks_UrlBlock_Fragment } }
  ) | null> | null } & { ' $fragmentName'?: 'ContactIndexFragment' };

export type ContactsQueryVariables = Exact<{ [key: string]: never; }>;


export type ContactsQuery = { __typename?: 'Query', contactIndex?: (
    { __typename?: 'ContactIndex' }
    & { ' $fragmentRefs'?: { 'ContactIndexFragment': ContactIndexFragment } }
  ) | null };

export type AllVenueSlugsQueryVariables = Exact<{ [key: string]: never; }>;


export type AllVenueSlugsQuery = { __typename?: 'Query', pages: Array<{ __typename?: 'AssociationIndex', id?: string | null, slug: string } | { __typename?: 'AssociationPage', id?: string | null, slug: string } | { __typename?: 'ContactIndex', id?: string | null, slug: string } | { __typename?: 'EventIndex', id?: string | null, slug: string } | { __typename?: 'EventPage', id?: string | null, slug: string } | { __typename?: 'GenericPage', id?: string | null, slug: string } | { __typename?: 'HomePage', id?: string | null, slug: string } | { __typename?: 'NewsIndex', id?: string | null, slug: string } | { __typename?: 'NewsPage', id?: string | null, slug: string } | { __typename?: 'Page', id?: string | null, slug: string } | { __typename?: 'VenueIndex', id?: string | null, slug: string } | { __typename?: 'VenuePage', id?: string | null, slug: string } | { __typename?: 'VenueRentalIndex', id?: string | null, slug: string }> };

export type VenueBySlugQueryVariables = Exact<{
  slug: Scalars['String']['input'];
}>;


export type VenueBySlugQuery = { __typename?: 'Query', venue?: { __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | { __typename?: 'NewsPage' } | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | (
    { __typename?: 'VenuePage' }
    & { ' $fragmentRefs'?: { 'VenueFragment': VenueFragment } }
  ) | { __typename?: 'VenueRentalIndex' } | null };

export type VenueIndexFragment = { __typename?: 'VenueIndex', title: string, lead?: any | null, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_AccordionBlock_Fragment': Blocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BlockQuoteBlock_Fragment': Blocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BooleanBlock_Fragment': Blocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_CharBlock_Fragment': Blocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ChoiceBlock_Fragment': Blocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactEntityBlock_Fragment': Blocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactListBlock_Fragment': Blocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSectionBlock_Fragment': Blocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSubsectionBlock_Fragment': Blocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateBlock_Fragment': Blocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateTimeBlock_Fragment': Blocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DecimalBlock_Fragment': Blocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DocumentChooserBlock_Fragment': Blocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmailBlock_Fragment': Blocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmbedBlock_Fragment': Blocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FactBoxBlock_Fragment': Blocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FeaturedBlock_Fragment': Blocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FloatBlock_Fragment': Blocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_HorizontalRuleBlock_Fragment': Blocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageChooserBlock_Fragment': Blocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderBlock_Fragment': Blocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderItemBlock_Fragment': Blocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageWithTextBlock_Fragment': Blocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_IntegerBlock_Fragment': Blocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ListBlock_Fragment': Blocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursRangeBlock_Fragment': Blocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursWeekBlock_Fragment': Blocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageChooserBlock_Fragment': Blocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageSectionBlock_Fragment': Blocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RawHtmlBlock_Fragment': Blocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RegexBlock_Fragment': Blocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RichTextBlock_Fragment': Blocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StaticBlock_Fragment': Blocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamBlock_Fragment': Blocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamFieldBlock_Fragment': Blocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StructBlock_Fragment': Blocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TextBlock_Fragment': Blocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TimeBlock_Fragment': Blocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_UrlBlock_Fragment': Blocks_UrlBlock_Fragment } }
  ) | null> | null } & { ' $fragmentName'?: 'VenueIndexFragment' };

export type VenueFragment = { __typename: 'VenuePage', id?: string | null, slug: string, title: string, showAsBookable?: boolean | null, floor?: string | null, preposition?: string | null, usedFor?: string | null, techSpecsUrl?: string | null, capabilityAudio?: string | null, capabilityAudioVideo?: string | null, capabilityBar?: string | null, capabilityLighting?: string | null, capacityLegal?: string | null, capacityStanding?: string | null, capacitySitting?: string | null, images?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_AccordionBlock_Fragment': Blocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BlockQuoteBlock_Fragment': Blocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BooleanBlock_Fragment': Blocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_CharBlock_Fragment': Blocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ChoiceBlock_Fragment': Blocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactEntityBlock_Fragment': Blocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactListBlock_Fragment': Blocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSectionBlock_Fragment': Blocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSubsectionBlock_Fragment': Blocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateBlock_Fragment': Blocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateTimeBlock_Fragment': Blocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DecimalBlock_Fragment': Blocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DocumentChooserBlock_Fragment': Blocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmailBlock_Fragment': Blocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmbedBlock_Fragment': Blocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FactBoxBlock_Fragment': Blocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FeaturedBlock_Fragment': Blocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FloatBlock_Fragment': Blocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_HorizontalRuleBlock_Fragment': Blocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageChooserBlock_Fragment': Blocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderBlock_Fragment': Blocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderItemBlock_Fragment': Blocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageWithTextBlock_Fragment': Blocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_IntegerBlock_Fragment': Blocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ListBlock_Fragment': Blocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursRangeBlock_Fragment': Blocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursWeekBlock_Fragment': Blocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageChooserBlock_Fragment': Blocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageSectionBlock_Fragment': Blocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RawHtmlBlock_Fragment': Blocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RegexBlock_Fragment': Blocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RichTextBlock_Fragment': Blocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StaticBlock_Fragment': Blocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamBlock_Fragment': Blocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamFieldBlock_Fragment': Blocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StructBlock_Fragment': Blocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TextBlock_Fragment': Blocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TimeBlock_Fragment': Blocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_UrlBlock_Fragment': Blocks_UrlBlock_Fragment } }
  ) | null> | null, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_AccordionBlock_Fragment': Blocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BlockQuoteBlock_Fragment': Blocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BooleanBlock_Fragment': Blocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_CharBlock_Fragment': Blocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ChoiceBlock_Fragment': Blocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactEntityBlock_Fragment': Blocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactListBlock_Fragment': Blocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSectionBlock_Fragment': Blocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSubsectionBlock_Fragment': Blocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateBlock_Fragment': Blocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateTimeBlock_Fragment': Blocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DecimalBlock_Fragment': Blocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DocumentChooserBlock_Fragment': Blocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmailBlock_Fragment': Blocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmbedBlock_Fragment': Blocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FactBoxBlock_Fragment': Blocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FeaturedBlock_Fragment': Blocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FloatBlock_Fragment': Blocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_HorizontalRuleBlock_Fragment': Blocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageChooserBlock_Fragment': Blocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderBlock_Fragment': Blocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderItemBlock_Fragment': Blocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageWithTextBlock_Fragment': Blocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_IntegerBlock_Fragment': Blocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ListBlock_Fragment': Blocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursRangeBlock_Fragment': Blocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursWeekBlock_Fragment': Blocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageChooserBlock_Fragment': Blocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageSectionBlock_Fragment': Blocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RawHtmlBlock_Fragment': Blocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RegexBlock_Fragment': Blocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RichTextBlock_Fragment': Blocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StaticBlock_Fragment': Blocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamBlock_Fragment': Blocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamFieldBlock_Fragment': Blocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StructBlock_Fragment': Blocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TextBlock_Fragment': Blocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TimeBlock_Fragment': Blocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_UrlBlock_Fragment': Blocks_UrlBlock_Fragment } }
  ) | null> | null, featuredImage?: (
    { __typename?: 'CustomImage' }
    & { ' $fragmentRefs'?: { 'ImageFragment': ImageFragment } }
  ) | null } & { ' $fragmentName'?: 'VenueFragment' };

export type VenueIndexQueryVariables = Exact<{ [key: string]: never; }>;


export type VenueIndexQuery = { __typename?: 'Query', index?: (
    { __typename?: 'VenueIndex' }
    & { ' $fragmentRefs'?: { 'VenueIndexFragment': VenueIndexFragment } }
  ) | null, venues: Array<{ __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | { __typename?: 'NewsPage' } | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | (
    { __typename?: 'VenuePage' }
    & { ' $fragmentRefs'?: { 'VenueFragment': VenueFragment } }
  ) | { __typename?: 'VenueRentalIndex' }> };

export type HomeFragment = { __typename?: 'HomePage', featuredEvents: Array<{ __typename?: 'EventPage', id?: string | null }> } & { ' $fragmentName'?: 'HomeFragment' };

export type HomeQueryVariables = Exact<{ [key: string]: never; }>;


export type HomeQuery = { __typename?: 'Query', events?: { __typename?: 'EventIndex', futureEvents: Array<(
      { __typename?: 'EventPage' }
      & { ' $fragmentRefs'?: { 'EventFragment': EventFragment } }
    )> } | null, home?: { __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | (
    { __typename?: 'HomePage' }
    & { ' $fragmentRefs'?: { 'HomeFragment': HomeFragment } }
  ) | { __typename?: 'NewsIndex' } | { __typename?: 'NewsPage' } | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | { __typename?: 'VenuePage' } | { __typename?: 'VenueRentalIndex' } | null, news: Array<{ __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | (
    { __typename?: 'NewsPage' }
    & { ' $fragmentRefs'?: { 'NewsFragment': NewsFragment } }
  ) | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | { __typename?: 'VenuePage' } | { __typename?: 'VenueRentalIndex' }> };

export type SearchQueryVariables = Exact<{
  query?: InputMaybe<Scalars['String']['input']>;
}>;


export type SearchQuery = { __typename?: 'Query', results: Array<{ __typename: 'AssociationIndex' } | { __typename: 'AssociationPage', id?: string | null, title: string, associationType?: string | null } | { __typename: 'ContactEntity' } | { __typename: 'ContactIndex' } | { __typename: 'CustomImage' } | { __typename: 'EventCategory' } | { __typename: 'EventIndex' } | { __typename: 'EventOccurrence' } | { __typename: 'EventOrganizer' } | { __typename: 'EventOrganizerLink' } | { __typename: 'EventPage', id?: string | null, title: string } | { __typename: 'GenericPage', id?: string | null, title: string } | { __typename: 'HomePage' } | { __typename: 'HomePageFeaturedEvents' } | { __typename: 'NewsIndex' } | { __typename: 'NewsPage', id?: string | null, title: string } | { __typename: 'OpeningHoursItem' } | { __typename: 'OpeningHoursSet' } | { __typename: 'Page' } | { __typename: 'Rendition' } | { __typename: 'VenueIndex' } | { __typename: 'VenuePage', id?: string | null, title: string } | { __typename: 'VenueRentalIndex' }> };

export type VenueRentalIndexFragment = { __typename?: 'VenueRentalIndex', title: string, lead?: any | null, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_AccordionBlock_Fragment': Blocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BlockQuoteBlock_Fragment': Blocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BooleanBlock_Fragment': Blocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_CharBlock_Fragment': Blocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ChoiceBlock_Fragment': Blocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactEntityBlock_Fragment': Blocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactListBlock_Fragment': Blocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSectionBlock_Fragment': Blocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSubsectionBlock_Fragment': Blocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateBlock_Fragment': Blocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateTimeBlock_Fragment': Blocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DecimalBlock_Fragment': Blocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DocumentChooserBlock_Fragment': Blocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmailBlock_Fragment': Blocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmbedBlock_Fragment': Blocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FactBoxBlock_Fragment': Blocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FeaturedBlock_Fragment': Blocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FloatBlock_Fragment': Blocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_HorizontalRuleBlock_Fragment': Blocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageChooserBlock_Fragment': Blocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderBlock_Fragment': Blocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderItemBlock_Fragment': Blocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageWithTextBlock_Fragment': Blocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_IntegerBlock_Fragment': Blocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ListBlock_Fragment': Blocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursRangeBlock_Fragment': Blocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursWeekBlock_Fragment': Blocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageChooserBlock_Fragment': Blocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageSectionBlock_Fragment': Blocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RawHtmlBlock_Fragment': Blocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RegexBlock_Fragment': Blocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RichTextBlock_Fragment': Blocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StaticBlock_Fragment': Blocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamBlock_Fragment': Blocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamFieldBlock_Fragment': Blocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StructBlock_Fragment': Blocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TextBlock_Fragment': Blocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TimeBlock_Fragment': Blocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_UrlBlock_Fragment': Blocks_UrlBlock_Fragment } }
  ) | null> | null } & { ' $fragmentName'?: 'VenueRentalIndexFragment' };

export type VenueRentalIndexQueryVariables = Exact<{ [key: string]: never; }>;


export type VenueRentalIndexQuery = { __typename?: 'Query', index?: (
    { __typename?: 'VenueRentalIndex' }
    & { ' $fragmentRefs'?: { 'VenueRentalIndexFragment': VenueRentalIndexFragment } }
  ) | null, venues: Array<{ __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | { __typename?: 'NewsPage' } | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | (
    { __typename?: 'VenuePage' }
    & { ' $fragmentRefs'?: { 'VenueFragment': VenueFragment } }
  ) | { __typename?: 'VenueRentalIndex' }> };

type OneLevelOfBlocks_AccordionBlock_Fragment = { __typename?: 'AccordionBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_AccordionBlock_Fragment' };

type OneLevelOfBlocks_BlockQuoteBlock_Fragment = { __typename?: 'BlockQuoteBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_BlockQuoteBlock_Fragment' };

type OneLevelOfBlocks_BooleanBlock_Fragment = { __typename?: 'BooleanBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_BooleanBlock_Fragment' };

type OneLevelOfBlocks_CharBlock_Fragment = { __typename?: 'CharBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_CharBlock_Fragment' };

type OneLevelOfBlocks_ChoiceBlock_Fragment = { __typename?: 'ChoiceBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_ChoiceBlock_Fragment' };

type OneLevelOfBlocks_ContactEntityBlock_Fragment = { __typename?: 'ContactEntityBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_ContactEntityBlock_Fragment' };

type OneLevelOfBlocks_ContactListBlock_Fragment = { __typename?: 'ContactListBlock', id?: string | null, blockType: string, field: string, items: Array<{ __typename?: 'AccordionBlock', blockType: string } | { __typename?: 'BlockQuoteBlock', blockType: string } | { __typename?: 'BooleanBlock', blockType: string } | { __typename?: 'CharBlock', blockType: string } | { __typename?: 'ChoiceBlock', blockType: string } | { __typename?: 'ContactEntityBlock', blockType: string, contactEntity?: (
      { __typename?: 'ContactEntity' }
      & { ' $fragmentRefs'?: { 'ContactEntityFragment': ContactEntityFragment } }
    ) | null } | { __typename?: 'ContactListBlock', blockType: string } | { __typename?: 'ContactSectionBlock', blockType: string } | { __typename?: 'ContactSubsectionBlock', blockType: string } | { __typename?: 'DateBlock', blockType: string } | { __typename?: 'DateTimeBlock', blockType: string } | { __typename?: 'DecimalBlock', blockType: string } | { __typename?: 'DocumentChooserBlock', blockType: string } | { __typename?: 'EmailBlock', blockType: string } | { __typename?: 'EmbedBlock', blockType: string } | { __typename?: 'FactBoxBlock', blockType: string } | { __typename?: 'FeaturedBlock', blockType: string } | { __typename?: 'FloatBlock', blockType: string } | { __typename?: 'HorizontalRuleBlock', blockType: string } | { __typename?: 'ImageChooserBlock', blockType: string } | { __typename?: 'ImageSliderBlock', blockType: string } | { __typename?: 'ImageSliderItemBlock', blockType: string } | { __typename?: 'ImageWithTextBlock', blockType: string } | { __typename?: 'IntegerBlock', blockType: string } | { __typename?: 'ListBlock', blockType: string } | { __typename?: 'OpeningHoursRangeBlock', blockType: string } | { __typename?: 'OpeningHoursWeekBlock', blockType: string } | { __typename?: 'PageChooserBlock', blockType: string } | { __typename?: 'PageSectionBlock', blockType: string } | { __typename?: 'RawHTMLBlock', blockType: string } | { __typename?: 'RegexBlock', blockType: string } | { __typename?: 'RichTextBlock', blockType: string } | { __typename?: 'StaticBlock', blockType: string } | { __typename?: 'StreamBlock', blockType: string } | { __typename?: 'StreamFieldBlock', blockType: string } | { __typename?: 'StructBlock', blockType: string } | { __typename?: 'TextBlock', blockType: string } | { __typename?: 'TimeBlock', blockType: string } | { __typename?: 'URLBlock', blockType: string }> } & { ' $fragmentName'?: 'OneLevelOfBlocks_ContactListBlock_Fragment' };

type OneLevelOfBlocks_ContactSectionBlock_Fragment = { __typename?: 'ContactSectionBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_ContactSectionBlock_Fragment' };

type OneLevelOfBlocks_ContactSubsectionBlock_Fragment = { __typename?: 'ContactSubsectionBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_ContactSubsectionBlock_Fragment' };

type OneLevelOfBlocks_DateBlock_Fragment = { __typename?: 'DateBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_DateBlock_Fragment' };

type OneLevelOfBlocks_DateTimeBlock_Fragment = { __typename?: 'DateTimeBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_DateTimeBlock_Fragment' };

type OneLevelOfBlocks_DecimalBlock_Fragment = { __typename?: 'DecimalBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_DecimalBlock_Fragment' };

type OneLevelOfBlocks_DocumentChooserBlock_Fragment = { __typename?: 'DocumentChooserBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_DocumentChooserBlock_Fragment' };

type OneLevelOfBlocks_EmailBlock_Fragment = { __typename?: 'EmailBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_EmailBlock_Fragment' };

type OneLevelOfBlocks_EmbedBlock_Fragment = { __typename?: 'EmbedBlock', url: string, embed?: string | null, rawEmbed?: any | null, id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_EmbedBlock_Fragment' };

type OneLevelOfBlocks_FactBoxBlock_Fragment = { __typename?: 'FactBoxBlock', backgroundColor?: string | null, id?: string | null, blockType: string, field: string, factBoxBody: any } & { ' $fragmentName'?: 'OneLevelOfBlocks_FactBoxBlock_Fragment' };

type OneLevelOfBlocks_FeaturedBlock_Fragment = { __typename?: 'FeaturedBlock', title: string, linkText: string, imagePosition: string, backgroundColor?: string | null, id?: string | null, blockType: string, field: string, featuredBlockText: string, featuredPage: { __typename?: 'AssociationIndex', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'AssociationPage', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'ContactIndex', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'EventIndex', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'EventPage', contentType: string, pageType?: string | null, url?: string | null, featuredImage?: (
      { __typename?: 'CustomImage' }
      & { ' $fragmentRefs'?: { 'ImageFragment': ImageFragment } }
    ) | null } | { __typename?: 'GenericPage', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'HomePage', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'NewsIndex', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'NewsPage', contentType: string, pageType?: string | null, url?: string | null, featuredImage?: (
      { __typename?: 'CustomImage' }
      & { ' $fragmentRefs'?: { 'ImageFragment': ImageFragment } }
    ) | null } | { __typename?: 'Page', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'VenueIndex', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'VenuePage', contentType: string, pageType?: string | null, url?: string | null } | { __typename?: 'VenueRentalIndex', contentType: string, pageType?: string | null, url?: string | null }, featuredImageOverride?: (
    { __typename?: 'CustomImage' }
    & { ' $fragmentRefs'?: { 'ImageFragment': ImageFragment } }
  ) | null } & { ' $fragmentName'?: 'OneLevelOfBlocks_FeaturedBlock_Fragment' };

type OneLevelOfBlocks_FloatBlock_Fragment = { __typename?: 'FloatBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_FloatBlock_Fragment' };

type OneLevelOfBlocks_HorizontalRuleBlock_Fragment = { __typename?: 'HorizontalRuleBlock', color?: string | null, id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_HorizontalRuleBlock_Fragment' };

type OneLevelOfBlocks_ImageChooserBlock_Fragment = { __typename?: 'ImageChooserBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_ImageChooserBlock_Fragment' };

type OneLevelOfBlocks_ImageSliderBlock_Fragment = { __typename?: 'ImageSliderBlock', id?: string | null, blockType: string, field: string, images?: Array<{ __typename?: 'AccordionBlock' } | { __typename?: 'BlockQuoteBlock' } | { __typename?: 'BooleanBlock' } | { __typename?: 'CharBlock' } | { __typename?: 'ChoiceBlock' } | { __typename?: 'ContactEntityBlock' } | { __typename?: 'ContactListBlock' } | { __typename?: 'ContactSectionBlock' } | { __typename?: 'ContactSubsectionBlock' } | { __typename?: 'DateBlock' } | { __typename?: 'DateTimeBlock' } | { __typename?: 'DecimalBlock' } | { __typename?: 'DocumentChooserBlock' } | { __typename?: 'EmailBlock' } | { __typename?: 'EmbedBlock' } | { __typename?: 'FactBoxBlock' } | { __typename?: 'FeaturedBlock' } | { __typename?: 'FloatBlock' } | { __typename?: 'HorizontalRuleBlock' } | { __typename?: 'ImageChooserBlock' } | { __typename?: 'ImageSliderBlock' } | { __typename?: 'ImageSliderItemBlock', text?: string | null, image: (
      { __typename?: 'CustomImage' }
      & { ' $fragmentRefs'?: { 'ImageFragment': ImageFragment } }
    ) } | { __typename?: 'ImageWithTextBlock' } | { __typename?: 'IntegerBlock' } | { __typename?: 'ListBlock' } | { __typename?: 'OpeningHoursRangeBlock' } | { __typename?: 'OpeningHoursWeekBlock' } | { __typename?: 'PageChooserBlock' } | { __typename?: 'PageSectionBlock' } | { __typename?: 'RawHTMLBlock' } | { __typename?: 'RegexBlock' } | { __typename?: 'RichTextBlock' } | { __typename?: 'StaticBlock' } | { __typename?: 'StreamBlock' } | { __typename?: 'StreamFieldBlock' } | { __typename?: 'StructBlock' } | { __typename?: 'TextBlock' } | { __typename?: 'TimeBlock' } | { __typename?: 'URLBlock' } | null> | null } & { ' $fragmentName'?: 'OneLevelOfBlocks_ImageSliderBlock_Fragment' };

type OneLevelOfBlocks_ImageSliderItemBlock_Fragment = { __typename?: 'ImageSliderItemBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_ImageSliderItemBlock_Fragment' };

type OneLevelOfBlocks_ImageWithTextBlock_Fragment = { __typename?: 'ImageWithTextBlock', imageFormat: string, text?: string | null, id?: string | null, blockType: string, field: string, image: (
    { __typename?: 'CustomImage' }
    & { ' $fragmentRefs'?: { 'ImageFragment': ImageFragment } }
  ) } & { ' $fragmentName'?: 'OneLevelOfBlocks_ImageWithTextBlock_Fragment' };

type OneLevelOfBlocks_IntegerBlock_Fragment = { __typename?: 'IntegerBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_IntegerBlock_Fragment' };

type OneLevelOfBlocks_ListBlock_Fragment = { __typename?: 'ListBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_ListBlock_Fragment' };

type OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment = { __typename?: 'OpeningHoursRangeBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment' };

type OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment = { __typename?: 'OpeningHoursWeekBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment' };

type OneLevelOfBlocks_PageChooserBlock_Fragment = { __typename?: 'PageChooserBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_PageChooserBlock_Fragment' };

type OneLevelOfBlocks_PageSectionBlock_Fragment = { __typename?: 'PageSectionBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_PageSectionBlock_Fragment' };

type OneLevelOfBlocks_RawHtmlBlock_Fragment = { __typename?: 'RawHTMLBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_RawHtmlBlock_Fragment' };

type OneLevelOfBlocks_RegexBlock_Fragment = { __typename?: 'RegexBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_RegexBlock_Fragment' };

type OneLevelOfBlocks_RichTextBlock_Fragment = { __typename?: 'RichTextBlock', rawValue: string, value: string, id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_RichTextBlock_Fragment' };

type OneLevelOfBlocks_StaticBlock_Fragment = { __typename?: 'StaticBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_StaticBlock_Fragment' };

type OneLevelOfBlocks_StreamBlock_Fragment = { __typename?: 'StreamBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_StreamBlock_Fragment' };

type OneLevelOfBlocks_StreamFieldBlock_Fragment = { __typename?: 'StreamFieldBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_StreamFieldBlock_Fragment' };

type OneLevelOfBlocks_StructBlock_Fragment = { __typename?: 'StructBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_StructBlock_Fragment' };

type OneLevelOfBlocks_TextBlock_Fragment = { __typename?: 'TextBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_TextBlock_Fragment' };

type OneLevelOfBlocks_TimeBlock_Fragment = { __typename?: 'TimeBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_TimeBlock_Fragment' };

type OneLevelOfBlocks_UrlBlock_Fragment = { __typename?: 'URLBlock', id?: string | null, blockType: string, field: string } & { ' $fragmentName'?: 'OneLevelOfBlocks_UrlBlock_Fragment' };

export type OneLevelOfBlocksFragment = OneLevelOfBlocks_AccordionBlock_Fragment | OneLevelOfBlocks_BlockQuoteBlock_Fragment | OneLevelOfBlocks_BooleanBlock_Fragment | OneLevelOfBlocks_CharBlock_Fragment | OneLevelOfBlocks_ChoiceBlock_Fragment | OneLevelOfBlocks_ContactEntityBlock_Fragment | OneLevelOfBlocks_ContactListBlock_Fragment | OneLevelOfBlocks_ContactSectionBlock_Fragment | OneLevelOfBlocks_ContactSubsectionBlock_Fragment | OneLevelOfBlocks_DateBlock_Fragment | OneLevelOfBlocks_DateTimeBlock_Fragment | OneLevelOfBlocks_DecimalBlock_Fragment | OneLevelOfBlocks_DocumentChooserBlock_Fragment | OneLevelOfBlocks_EmailBlock_Fragment | OneLevelOfBlocks_EmbedBlock_Fragment | OneLevelOfBlocks_FactBoxBlock_Fragment | OneLevelOfBlocks_FeaturedBlock_Fragment | OneLevelOfBlocks_FloatBlock_Fragment | OneLevelOfBlocks_HorizontalRuleBlock_Fragment | OneLevelOfBlocks_ImageChooserBlock_Fragment | OneLevelOfBlocks_ImageSliderBlock_Fragment | OneLevelOfBlocks_ImageSliderItemBlock_Fragment | OneLevelOfBlocks_ImageWithTextBlock_Fragment | OneLevelOfBlocks_IntegerBlock_Fragment | OneLevelOfBlocks_ListBlock_Fragment | OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment | OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment | OneLevelOfBlocks_PageChooserBlock_Fragment | OneLevelOfBlocks_PageSectionBlock_Fragment | OneLevelOfBlocks_RawHtmlBlock_Fragment | OneLevelOfBlocks_RegexBlock_Fragment | OneLevelOfBlocks_RichTextBlock_Fragment | OneLevelOfBlocks_StaticBlock_Fragment | OneLevelOfBlocks_StreamBlock_Fragment | OneLevelOfBlocks_StreamFieldBlock_Fragment | OneLevelOfBlocks_StructBlock_Fragment | OneLevelOfBlocks_TextBlock_Fragment | OneLevelOfBlocks_TimeBlock_Fragment | OneLevelOfBlocks_UrlBlock_Fragment;

type Blocks_AccordionBlock_Fragment = (
  { __typename?: 'AccordionBlock', heading: string, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_AccordionBlock_Fragment': OneLevelOfBlocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BlockQuoteBlock_Fragment': OneLevelOfBlocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BooleanBlock_Fragment': OneLevelOfBlocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_CharBlock_Fragment': OneLevelOfBlocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ChoiceBlock_Fragment': OneLevelOfBlocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactEntityBlock_Fragment': OneLevelOfBlocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactListBlock_Fragment': OneLevelOfBlocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSectionBlock_Fragment': OneLevelOfBlocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSubsectionBlock_Fragment': OneLevelOfBlocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateBlock_Fragment': OneLevelOfBlocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateTimeBlock_Fragment': OneLevelOfBlocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DecimalBlock_Fragment': OneLevelOfBlocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DocumentChooserBlock_Fragment': OneLevelOfBlocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmailBlock_Fragment': OneLevelOfBlocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmbedBlock_Fragment': OneLevelOfBlocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FactBoxBlock_Fragment': OneLevelOfBlocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FeaturedBlock_Fragment': OneLevelOfBlocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FloatBlock_Fragment': OneLevelOfBlocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_HorizontalRuleBlock_Fragment': OneLevelOfBlocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageChooserBlock_Fragment': OneLevelOfBlocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderBlock_Fragment': OneLevelOfBlocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderItemBlock_Fragment': OneLevelOfBlocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageWithTextBlock_Fragment': OneLevelOfBlocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_IntegerBlock_Fragment': OneLevelOfBlocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ListBlock_Fragment': OneLevelOfBlocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment': OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment': OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageChooserBlock_Fragment': OneLevelOfBlocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageSectionBlock_Fragment': OneLevelOfBlocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RawHtmlBlock_Fragment': OneLevelOfBlocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RegexBlock_Fragment': OneLevelOfBlocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RichTextBlock_Fragment': OneLevelOfBlocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StaticBlock_Fragment': OneLevelOfBlocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamBlock_Fragment': OneLevelOfBlocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamFieldBlock_Fragment': OneLevelOfBlocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StructBlock_Fragment': OneLevelOfBlocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TextBlock_Fragment': OneLevelOfBlocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TimeBlock_Fragment': OneLevelOfBlocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_UrlBlock_Fragment': OneLevelOfBlocks_UrlBlock_Fragment } }
  ) | null> | null }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_AccordionBlock_Fragment': OneLevelOfBlocks_AccordionBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_AccordionBlock_Fragment' };

type Blocks_BlockQuoteBlock_Fragment = (
  { __typename?: 'BlockQuoteBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BlockQuoteBlock_Fragment': OneLevelOfBlocks_BlockQuoteBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_BlockQuoteBlock_Fragment' };

type Blocks_BooleanBlock_Fragment = (
  { __typename?: 'BooleanBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BooleanBlock_Fragment': OneLevelOfBlocks_BooleanBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_BooleanBlock_Fragment' };

type Blocks_CharBlock_Fragment = (
  { __typename?: 'CharBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_CharBlock_Fragment': OneLevelOfBlocks_CharBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_CharBlock_Fragment' };

type Blocks_ChoiceBlock_Fragment = (
  { __typename?: 'ChoiceBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ChoiceBlock_Fragment': OneLevelOfBlocks_ChoiceBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ChoiceBlock_Fragment' };

type Blocks_ContactEntityBlock_Fragment = (
  { __typename?: 'ContactEntityBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactEntityBlock_Fragment': OneLevelOfBlocks_ContactEntityBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ContactEntityBlock_Fragment' };

type Blocks_ContactListBlock_Fragment = (
  { __typename?: 'ContactListBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactListBlock_Fragment': OneLevelOfBlocks_ContactListBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ContactListBlock_Fragment' };

type Blocks_ContactSectionBlock_Fragment = (
  { __typename?: 'ContactSectionBlock', title: string, text?: string | null, blocks?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_AccordionBlock_Fragment': OneLevelOfBlocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BlockQuoteBlock_Fragment': OneLevelOfBlocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BooleanBlock_Fragment': OneLevelOfBlocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_CharBlock_Fragment': OneLevelOfBlocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ChoiceBlock_Fragment': OneLevelOfBlocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactEntityBlock_Fragment': OneLevelOfBlocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactListBlock_Fragment': OneLevelOfBlocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSectionBlock_Fragment': OneLevelOfBlocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock', title: string, text?: string | null, blocks?: Array<(
      { __typename?: 'AccordionBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_AccordionBlock_Fragment': OneLevelOfBlocks_AccordionBlock_Fragment } }
    ) | (
      { __typename?: 'BlockQuoteBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BlockQuoteBlock_Fragment': OneLevelOfBlocks_BlockQuoteBlock_Fragment } }
    ) | (
      { __typename?: 'BooleanBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BooleanBlock_Fragment': OneLevelOfBlocks_BooleanBlock_Fragment } }
    ) | (
      { __typename?: 'CharBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_CharBlock_Fragment': OneLevelOfBlocks_CharBlock_Fragment } }
    ) | (
      { __typename?: 'ChoiceBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ChoiceBlock_Fragment': OneLevelOfBlocks_ChoiceBlock_Fragment } }
    ) | (
      { __typename?: 'ContactEntityBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactEntityBlock_Fragment': OneLevelOfBlocks_ContactEntityBlock_Fragment } }
    ) | (
      { __typename?: 'ContactListBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactListBlock_Fragment': OneLevelOfBlocks_ContactListBlock_Fragment } }
    ) | (
      { __typename?: 'ContactSectionBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSectionBlock_Fragment': OneLevelOfBlocks_ContactSectionBlock_Fragment } }
    ) | (
      { __typename?: 'ContactSubsectionBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSubsectionBlock_Fragment': OneLevelOfBlocks_ContactSubsectionBlock_Fragment } }
    ) | (
      { __typename?: 'DateBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateBlock_Fragment': OneLevelOfBlocks_DateBlock_Fragment } }
    ) | (
      { __typename?: 'DateTimeBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateTimeBlock_Fragment': OneLevelOfBlocks_DateTimeBlock_Fragment } }
    ) | (
      { __typename?: 'DecimalBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DecimalBlock_Fragment': OneLevelOfBlocks_DecimalBlock_Fragment } }
    ) | (
      { __typename?: 'DocumentChooserBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DocumentChooserBlock_Fragment': OneLevelOfBlocks_DocumentChooserBlock_Fragment } }
    ) | (
      { __typename?: 'EmailBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmailBlock_Fragment': OneLevelOfBlocks_EmailBlock_Fragment } }
    ) | (
      { __typename?: 'EmbedBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmbedBlock_Fragment': OneLevelOfBlocks_EmbedBlock_Fragment } }
    ) | (
      { __typename?: 'FactBoxBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FactBoxBlock_Fragment': OneLevelOfBlocks_FactBoxBlock_Fragment } }
    ) | (
      { __typename?: 'FeaturedBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FeaturedBlock_Fragment': OneLevelOfBlocks_FeaturedBlock_Fragment } }
    ) | (
      { __typename?: 'FloatBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FloatBlock_Fragment': OneLevelOfBlocks_FloatBlock_Fragment } }
    ) | (
      { __typename?: 'HorizontalRuleBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_HorizontalRuleBlock_Fragment': OneLevelOfBlocks_HorizontalRuleBlock_Fragment } }
    ) | (
      { __typename?: 'ImageChooserBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageChooserBlock_Fragment': OneLevelOfBlocks_ImageChooserBlock_Fragment } }
    ) | (
      { __typename?: 'ImageSliderBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderBlock_Fragment': OneLevelOfBlocks_ImageSliderBlock_Fragment } }
    ) | (
      { __typename?: 'ImageSliderItemBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderItemBlock_Fragment': OneLevelOfBlocks_ImageSliderItemBlock_Fragment } }
    ) | (
      { __typename?: 'ImageWithTextBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageWithTextBlock_Fragment': OneLevelOfBlocks_ImageWithTextBlock_Fragment } }
    ) | (
      { __typename?: 'IntegerBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_IntegerBlock_Fragment': OneLevelOfBlocks_IntegerBlock_Fragment } }
    ) | (
      { __typename?: 'ListBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ListBlock_Fragment': OneLevelOfBlocks_ListBlock_Fragment } }
    ) | (
      { __typename?: 'OpeningHoursRangeBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment': OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment } }
    ) | (
      { __typename?: 'OpeningHoursWeekBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment': OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment } }
    ) | (
      { __typename?: 'PageChooserBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageChooserBlock_Fragment': OneLevelOfBlocks_PageChooserBlock_Fragment } }
    ) | (
      { __typename?: 'PageSectionBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageSectionBlock_Fragment': OneLevelOfBlocks_PageSectionBlock_Fragment } }
    ) | (
      { __typename?: 'RawHTMLBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RawHtmlBlock_Fragment': OneLevelOfBlocks_RawHtmlBlock_Fragment } }
    ) | (
      { __typename?: 'RegexBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RegexBlock_Fragment': OneLevelOfBlocks_RegexBlock_Fragment } }
    ) | (
      { __typename?: 'RichTextBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RichTextBlock_Fragment': OneLevelOfBlocks_RichTextBlock_Fragment } }
    ) | (
      { __typename?: 'StaticBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StaticBlock_Fragment': OneLevelOfBlocks_StaticBlock_Fragment } }
    ) | (
      { __typename?: 'StreamBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamBlock_Fragment': OneLevelOfBlocks_StreamBlock_Fragment } }
    ) | (
      { __typename?: 'StreamFieldBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamFieldBlock_Fragment': OneLevelOfBlocks_StreamFieldBlock_Fragment } }
    ) | (
      { __typename?: 'StructBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StructBlock_Fragment': OneLevelOfBlocks_StructBlock_Fragment } }
    ) | (
      { __typename?: 'TextBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TextBlock_Fragment': OneLevelOfBlocks_TextBlock_Fragment } }
    ) | (
      { __typename?: 'TimeBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TimeBlock_Fragment': OneLevelOfBlocks_TimeBlock_Fragment } }
    ) | (
      { __typename?: 'URLBlock' }
      & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_UrlBlock_Fragment': OneLevelOfBlocks_UrlBlock_Fragment } }
    ) | null> | null }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSubsectionBlock_Fragment': OneLevelOfBlocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateBlock_Fragment': OneLevelOfBlocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateTimeBlock_Fragment': OneLevelOfBlocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DecimalBlock_Fragment': OneLevelOfBlocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DocumentChooserBlock_Fragment': OneLevelOfBlocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmailBlock_Fragment': OneLevelOfBlocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmbedBlock_Fragment': OneLevelOfBlocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FactBoxBlock_Fragment': OneLevelOfBlocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FeaturedBlock_Fragment': OneLevelOfBlocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FloatBlock_Fragment': OneLevelOfBlocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_HorizontalRuleBlock_Fragment': OneLevelOfBlocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageChooserBlock_Fragment': OneLevelOfBlocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderBlock_Fragment': OneLevelOfBlocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderItemBlock_Fragment': OneLevelOfBlocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageWithTextBlock_Fragment': OneLevelOfBlocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_IntegerBlock_Fragment': OneLevelOfBlocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ListBlock_Fragment': OneLevelOfBlocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment': OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment': OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageChooserBlock_Fragment': OneLevelOfBlocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageSectionBlock_Fragment': OneLevelOfBlocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RawHtmlBlock_Fragment': OneLevelOfBlocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RegexBlock_Fragment': OneLevelOfBlocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RichTextBlock_Fragment': OneLevelOfBlocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StaticBlock_Fragment': OneLevelOfBlocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamBlock_Fragment': OneLevelOfBlocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamFieldBlock_Fragment': OneLevelOfBlocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StructBlock_Fragment': OneLevelOfBlocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TextBlock_Fragment': OneLevelOfBlocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TimeBlock_Fragment': OneLevelOfBlocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_UrlBlock_Fragment': OneLevelOfBlocks_UrlBlock_Fragment } }
  ) | null> | null }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSectionBlock_Fragment': OneLevelOfBlocks_ContactSectionBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ContactSectionBlock_Fragment' };

type Blocks_ContactSubsectionBlock_Fragment = (
  { __typename?: 'ContactSubsectionBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSubsectionBlock_Fragment': OneLevelOfBlocks_ContactSubsectionBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ContactSubsectionBlock_Fragment' };

type Blocks_DateBlock_Fragment = (
  { __typename?: 'DateBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateBlock_Fragment': OneLevelOfBlocks_DateBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_DateBlock_Fragment' };

type Blocks_DateTimeBlock_Fragment = (
  { __typename?: 'DateTimeBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateTimeBlock_Fragment': OneLevelOfBlocks_DateTimeBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_DateTimeBlock_Fragment' };

type Blocks_DecimalBlock_Fragment = (
  { __typename?: 'DecimalBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DecimalBlock_Fragment': OneLevelOfBlocks_DecimalBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_DecimalBlock_Fragment' };

type Blocks_DocumentChooserBlock_Fragment = (
  { __typename?: 'DocumentChooserBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DocumentChooserBlock_Fragment': OneLevelOfBlocks_DocumentChooserBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_DocumentChooserBlock_Fragment' };

type Blocks_EmailBlock_Fragment = (
  { __typename?: 'EmailBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmailBlock_Fragment': OneLevelOfBlocks_EmailBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_EmailBlock_Fragment' };

type Blocks_EmbedBlock_Fragment = (
  { __typename?: 'EmbedBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmbedBlock_Fragment': OneLevelOfBlocks_EmbedBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_EmbedBlock_Fragment' };

type Blocks_FactBoxBlock_Fragment = (
  { __typename?: 'FactBoxBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FactBoxBlock_Fragment': OneLevelOfBlocks_FactBoxBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_FactBoxBlock_Fragment' };

type Blocks_FeaturedBlock_Fragment = (
  { __typename?: 'FeaturedBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FeaturedBlock_Fragment': OneLevelOfBlocks_FeaturedBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_FeaturedBlock_Fragment' };

type Blocks_FloatBlock_Fragment = (
  { __typename?: 'FloatBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FloatBlock_Fragment': OneLevelOfBlocks_FloatBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_FloatBlock_Fragment' };

type Blocks_HorizontalRuleBlock_Fragment = (
  { __typename?: 'HorizontalRuleBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_HorizontalRuleBlock_Fragment': OneLevelOfBlocks_HorizontalRuleBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_HorizontalRuleBlock_Fragment' };

type Blocks_ImageChooserBlock_Fragment = (
  { __typename?: 'ImageChooserBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageChooserBlock_Fragment': OneLevelOfBlocks_ImageChooserBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ImageChooserBlock_Fragment' };

type Blocks_ImageSliderBlock_Fragment = (
  { __typename?: 'ImageSliderBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderBlock_Fragment': OneLevelOfBlocks_ImageSliderBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ImageSliderBlock_Fragment' };

type Blocks_ImageSliderItemBlock_Fragment = (
  { __typename?: 'ImageSliderItemBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderItemBlock_Fragment': OneLevelOfBlocks_ImageSliderItemBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ImageSliderItemBlock_Fragment' };

type Blocks_ImageWithTextBlock_Fragment = (
  { __typename?: 'ImageWithTextBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageWithTextBlock_Fragment': OneLevelOfBlocks_ImageWithTextBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ImageWithTextBlock_Fragment' };

type Blocks_IntegerBlock_Fragment = (
  { __typename?: 'IntegerBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_IntegerBlock_Fragment': OneLevelOfBlocks_IntegerBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_IntegerBlock_Fragment' };

type Blocks_ListBlock_Fragment = (
  { __typename?: 'ListBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ListBlock_Fragment': OneLevelOfBlocks_ListBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_ListBlock_Fragment' };

type Blocks_OpeningHoursRangeBlock_Fragment = (
  { __typename?: 'OpeningHoursRangeBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment': OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_OpeningHoursRangeBlock_Fragment' };

type Blocks_OpeningHoursWeekBlock_Fragment = (
  { __typename?: 'OpeningHoursWeekBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment': OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_OpeningHoursWeekBlock_Fragment' };

type Blocks_PageChooserBlock_Fragment = (
  { __typename?: 'PageChooserBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageChooserBlock_Fragment': OneLevelOfBlocks_PageChooserBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_PageChooserBlock_Fragment' };

type Blocks_PageSectionBlock_Fragment = (
  { __typename?: 'PageSectionBlock', title: string, backgroundColor?: string | null, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_AccordionBlock_Fragment': OneLevelOfBlocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BlockQuoteBlock_Fragment': OneLevelOfBlocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_BooleanBlock_Fragment': OneLevelOfBlocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_CharBlock_Fragment': OneLevelOfBlocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ChoiceBlock_Fragment': OneLevelOfBlocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactEntityBlock_Fragment': OneLevelOfBlocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactListBlock_Fragment': OneLevelOfBlocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSectionBlock_Fragment': OneLevelOfBlocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ContactSubsectionBlock_Fragment': OneLevelOfBlocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateBlock_Fragment': OneLevelOfBlocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DateTimeBlock_Fragment': OneLevelOfBlocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DecimalBlock_Fragment': OneLevelOfBlocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_DocumentChooserBlock_Fragment': OneLevelOfBlocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmailBlock_Fragment': OneLevelOfBlocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_EmbedBlock_Fragment': OneLevelOfBlocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FactBoxBlock_Fragment': OneLevelOfBlocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FeaturedBlock_Fragment': OneLevelOfBlocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_FloatBlock_Fragment': OneLevelOfBlocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_HorizontalRuleBlock_Fragment': OneLevelOfBlocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageChooserBlock_Fragment': OneLevelOfBlocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderBlock_Fragment': OneLevelOfBlocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageSliderItemBlock_Fragment': OneLevelOfBlocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ImageWithTextBlock_Fragment': OneLevelOfBlocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_IntegerBlock_Fragment': OneLevelOfBlocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_ListBlock_Fragment': OneLevelOfBlocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment': OneLevelOfBlocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment': OneLevelOfBlocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageChooserBlock_Fragment': OneLevelOfBlocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageSectionBlock_Fragment': OneLevelOfBlocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RawHtmlBlock_Fragment': OneLevelOfBlocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RegexBlock_Fragment': OneLevelOfBlocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RichTextBlock_Fragment': OneLevelOfBlocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StaticBlock_Fragment': OneLevelOfBlocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamBlock_Fragment': OneLevelOfBlocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamFieldBlock_Fragment': OneLevelOfBlocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StructBlock_Fragment': OneLevelOfBlocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TextBlock_Fragment': OneLevelOfBlocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TimeBlock_Fragment': OneLevelOfBlocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_UrlBlock_Fragment': OneLevelOfBlocks_UrlBlock_Fragment } }
  ) | null> | null }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_PageSectionBlock_Fragment': OneLevelOfBlocks_PageSectionBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_PageSectionBlock_Fragment' };

type Blocks_RawHtmlBlock_Fragment = (
  { __typename?: 'RawHTMLBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RawHtmlBlock_Fragment': OneLevelOfBlocks_RawHtmlBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_RawHtmlBlock_Fragment' };

type Blocks_RegexBlock_Fragment = (
  { __typename?: 'RegexBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RegexBlock_Fragment': OneLevelOfBlocks_RegexBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_RegexBlock_Fragment' };

type Blocks_RichTextBlock_Fragment = (
  { __typename?: 'RichTextBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_RichTextBlock_Fragment': OneLevelOfBlocks_RichTextBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_RichTextBlock_Fragment' };

type Blocks_StaticBlock_Fragment = (
  { __typename?: 'StaticBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StaticBlock_Fragment': OneLevelOfBlocks_StaticBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_StaticBlock_Fragment' };

type Blocks_StreamBlock_Fragment = (
  { __typename?: 'StreamBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamBlock_Fragment': OneLevelOfBlocks_StreamBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_StreamBlock_Fragment' };

type Blocks_StreamFieldBlock_Fragment = (
  { __typename?: 'StreamFieldBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StreamFieldBlock_Fragment': OneLevelOfBlocks_StreamFieldBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_StreamFieldBlock_Fragment' };

type Blocks_StructBlock_Fragment = (
  { __typename?: 'StructBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_StructBlock_Fragment': OneLevelOfBlocks_StructBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_StructBlock_Fragment' };

type Blocks_TextBlock_Fragment = (
  { __typename?: 'TextBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TextBlock_Fragment': OneLevelOfBlocks_TextBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_TextBlock_Fragment' };

type Blocks_TimeBlock_Fragment = (
  { __typename?: 'TimeBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_TimeBlock_Fragment': OneLevelOfBlocks_TimeBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_TimeBlock_Fragment' };

type Blocks_UrlBlock_Fragment = (
  { __typename?: 'URLBlock' }
  & { ' $fragmentRefs'?: { 'OneLevelOfBlocks_UrlBlock_Fragment': OneLevelOfBlocks_UrlBlock_Fragment } }
) & { ' $fragmentName'?: 'Blocks_UrlBlock_Fragment' };

export type BlocksFragment = Blocks_AccordionBlock_Fragment | Blocks_BlockQuoteBlock_Fragment | Blocks_BooleanBlock_Fragment | Blocks_CharBlock_Fragment | Blocks_ChoiceBlock_Fragment | Blocks_ContactEntityBlock_Fragment | Blocks_ContactListBlock_Fragment | Blocks_ContactSectionBlock_Fragment | Blocks_ContactSubsectionBlock_Fragment | Blocks_DateBlock_Fragment | Blocks_DateTimeBlock_Fragment | Blocks_DecimalBlock_Fragment | Blocks_DocumentChooserBlock_Fragment | Blocks_EmailBlock_Fragment | Blocks_EmbedBlock_Fragment | Blocks_FactBoxBlock_Fragment | Blocks_FeaturedBlock_Fragment | Blocks_FloatBlock_Fragment | Blocks_HorizontalRuleBlock_Fragment | Blocks_ImageChooserBlock_Fragment | Blocks_ImageSliderBlock_Fragment | Blocks_ImageSliderItemBlock_Fragment | Blocks_ImageWithTextBlock_Fragment | Blocks_IntegerBlock_Fragment | Blocks_ListBlock_Fragment | Blocks_OpeningHoursRangeBlock_Fragment | Blocks_OpeningHoursWeekBlock_Fragment | Blocks_PageChooserBlock_Fragment | Blocks_PageSectionBlock_Fragment | Blocks_RawHtmlBlock_Fragment | Blocks_RegexBlock_Fragment | Blocks_RichTextBlock_Fragment | Blocks_StaticBlock_Fragment | Blocks_StreamBlock_Fragment | Blocks_StreamFieldBlock_Fragment | Blocks_StructBlock_Fragment | Blocks_TextBlock_Fragment | Blocks_TimeBlock_Fragment | Blocks_UrlBlock_Fragment;

export type ImageFragment = { __typename?: 'CustomImage', id?: string | null, url: string, width: number, height: number, alt?: string | null, attribution?: string | null } & { ' $fragmentName'?: 'ImageFragment' };

export type ContactEntityFragment = { __typename?: 'ContactEntity', id?: string | null, name: string, contactType: string, title?: string | null, email?: string | null, phoneNumber?: string | null, image?: (
    { __typename?: 'CustomImage' }
    & { ' $fragmentRefs'?: { 'ImageFragment': ImageFragment } }
  ) | null } & { ' $fragmentName'?: 'ContactEntityFragment' };

export type EventFragment = { __typename: 'EventPage', id?: string | null, slug: string, title: string, subtitle?: string | null, lead?: any | null, pig?: string | null, facebookUrl?: string | null, ticketUrl?: string | null, free?: boolean | null, priceRegular?: string | null, priceMember?: string | null, priceStudent?: string | null, body?: Array<{ __typename?: 'AccordionBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'BlockQuoteBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'BooleanBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'CharBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ChoiceBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ContactEntityBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ContactListBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ContactSectionBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ContactSubsectionBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'DateBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'DateTimeBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'DecimalBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'DocumentChooserBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'EmailBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'EmbedBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'FactBoxBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'FeaturedBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'FloatBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'HorizontalRuleBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ImageChooserBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ImageSliderBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ImageSliderItemBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ImageWithTextBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'IntegerBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'ListBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'OpeningHoursRangeBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'OpeningHoursWeekBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'PageChooserBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'PageSectionBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'RawHTMLBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'RegexBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'RichTextBlock', rawValue: string, value: string, id?: string | null, blockType: string, field: string } | { __typename?: 'StaticBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'StreamBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'StreamFieldBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'StructBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'TextBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'TimeBlock', id?: string | null, blockType: string, field: string } | { __typename?: 'URLBlock', id?: string | null, blockType: string, field: string } | null> | null, featuredImage?: (
    { __typename?: 'CustomImage' }
    & { ' $fragmentRefs'?: { 'ImageFragment': ImageFragment } }
  ) | null, categories: Array<{ __typename?: 'EventCategory', name: string, slug: string, pig: string }>, occurrences: Array<{ __typename: 'EventOccurrence', id?: string | null, start: string, end?: string | null, venue?: { __typename: 'VenuePage', id?: string | null, slug: string, title: string, preposition?: string | null, url?: string | null } | null }>, organizers: Array<{ __typename?: 'EventOrganizer', id?: string | null, name: string, slug: string, externalUrl?: string | null, association?: { __typename?: 'AssociationPage', url?: string | null } | null }> } & { ' $fragmentName'?: 'EventFragment' };

export type FutureEventsQueryVariables = Exact<{ [key: string]: never; }>;


export type FutureEventsQuery = { __typename?: 'Query', events?: { __typename?: 'EventIndex', futureEvents: Array<(
      { __typename?: 'EventPage' }
      & { ' $fragmentRefs'?: { 'EventFragment': EventFragment } }
    )> } | null, eventCategories?: Array<{ __typename?: 'EventCategory', name: string, slug: string, showInFilters: boolean } | null> | null, eventOrganizers?: Array<{ __typename?: 'EventOrganizer', id?: string | null, name: string, slug: string, externalUrl?: string | null, association?: { __typename?: 'AssociationPage', url?: string | null } | null } | null> | null, venues: Array<{ __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | { __typename?: 'NewsPage' } | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | { __typename?: 'VenuePage', id?: string | null, title: string, slug: string, preposition?: string | null } | { __typename?: 'VenueRentalIndex' }> };

export type NewsFragment = { __typename: 'NewsPage', id?: string | null, slug: string, title: string, firstPublishedAt?: any | null, excerpt?: string | null, lead?: any | null, featuredImage?: (
    { __typename?: 'CustomImage' }
    & { ' $fragmentRefs'?: { 'ImageFragment': ImageFragment } }
  ) | null, body?: Array<(
    { __typename?: 'AccordionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_AccordionBlock_Fragment': Blocks_AccordionBlock_Fragment } }
  ) | (
    { __typename?: 'BlockQuoteBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BlockQuoteBlock_Fragment': Blocks_BlockQuoteBlock_Fragment } }
  ) | (
    { __typename?: 'BooleanBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_BooleanBlock_Fragment': Blocks_BooleanBlock_Fragment } }
  ) | (
    { __typename?: 'CharBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_CharBlock_Fragment': Blocks_CharBlock_Fragment } }
  ) | (
    { __typename?: 'ChoiceBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ChoiceBlock_Fragment': Blocks_ChoiceBlock_Fragment } }
  ) | (
    { __typename?: 'ContactEntityBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactEntityBlock_Fragment': Blocks_ContactEntityBlock_Fragment } }
  ) | (
    { __typename?: 'ContactListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactListBlock_Fragment': Blocks_ContactListBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSectionBlock_Fragment': Blocks_ContactSectionBlock_Fragment } }
  ) | (
    { __typename?: 'ContactSubsectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ContactSubsectionBlock_Fragment': Blocks_ContactSubsectionBlock_Fragment } }
  ) | (
    { __typename?: 'DateBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateBlock_Fragment': Blocks_DateBlock_Fragment } }
  ) | (
    { __typename?: 'DateTimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DateTimeBlock_Fragment': Blocks_DateTimeBlock_Fragment } }
  ) | (
    { __typename?: 'DecimalBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DecimalBlock_Fragment': Blocks_DecimalBlock_Fragment } }
  ) | (
    { __typename?: 'DocumentChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_DocumentChooserBlock_Fragment': Blocks_DocumentChooserBlock_Fragment } }
  ) | (
    { __typename?: 'EmailBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmailBlock_Fragment': Blocks_EmailBlock_Fragment } }
  ) | (
    { __typename?: 'EmbedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_EmbedBlock_Fragment': Blocks_EmbedBlock_Fragment } }
  ) | (
    { __typename?: 'FactBoxBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FactBoxBlock_Fragment': Blocks_FactBoxBlock_Fragment } }
  ) | (
    { __typename?: 'FeaturedBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FeaturedBlock_Fragment': Blocks_FeaturedBlock_Fragment } }
  ) | (
    { __typename?: 'FloatBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_FloatBlock_Fragment': Blocks_FloatBlock_Fragment } }
  ) | (
    { __typename?: 'HorizontalRuleBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_HorizontalRuleBlock_Fragment': Blocks_HorizontalRuleBlock_Fragment } }
  ) | (
    { __typename?: 'ImageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageChooserBlock_Fragment': Blocks_ImageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderBlock_Fragment': Blocks_ImageSliderBlock_Fragment } }
  ) | (
    { __typename?: 'ImageSliderItemBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageSliderItemBlock_Fragment': Blocks_ImageSliderItemBlock_Fragment } }
  ) | (
    { __typename?: 'ImageWithTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ImageWithTextBlock_Fragment': Blocks_ImageWithTextBlock_Fragment } }
  ) | (
    { __typename?: 'IntegerBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_IntegerBlock_Fragment': Blocks_IntegerBlock_Fragment } }
  ) | (
    { __typename?: 'ListBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_ListBlock_Fragment': Blocks_ListBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursRangeBlock_Fragment': Blocks_OpeningHoursRangeBlock_Fragment } }
  ) | (
    { __typename?: 'OpeningHoursWeekBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_OpeningHoursWeekBlock_Fragment': Blocks_OpeningHoursWeekBlock_Fragment } }
  ) | (
    { __typename?: 'PageChooserBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageChooserBlock_Fragment': Blocks_PageChooserBlock_Fragment } }
  ) | (
    { __typename?: 'PageSectionBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_PageSectionBlock_Fragment': Blocks_PageSectionBlock_Fragment } }
  ) | (
    { __typename?: 'RawHTMLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RawHtmlBlock_Fragment': Blocks_RawHtmlBlock_Fragment } }
  ) | (
    { __typename?: 'RegexBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RegexBlock_Fragment': Blocks_RegexBlock_Fragment } }
  ) | (
    { __typename?: 'RichTextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_RichTextBlock_Fragment': Blocks_RichTextBlock_Fragment } }
  ) | (
    { __typename?: 'StaticBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StaticBlock_Fragment': Blocks_StaticBlock_Fragment } }
  ) | (
    { __typename?: 'StreamBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamBlock_Fragment': Blocks_StreamBlock_Fragment } }
  ) | (
    { __typename?: 'StreamFieldBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StreamFieldBlock_Fragment': Blocks_StreamFieldBlock_Fragment } }
  ) | (
    { __typename?: 'StructBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_StructBlock_Fragment': Blocks_StructBlock_Fragment } }
  ) | (
    { __typename?: 'TextBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TextBlock_Fragment': Blocks_TextBlock_Fragment } }
  ) | (
    { __typename?: 'TimeBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_TimeBlock_Fragment': Blocks_TimeBlock_Fragment } }
  ) | (
    { __typename?: 'URLBlock' }
    & { ' $fragmentRefs'?: { 'Blocks_UrlBlock_Fragment': Blocks_UrlBlock_Fragment } }
  ) | null> | null } & { ' $fragmentName'?: 'NewsFragment' };

export type NewsIndexFragment = { __typename: 'NewsIndex', id?: string | null, slug: string, title: string, lead?: any | null } & { ' $fragmentName'?: 'NewsIndexFragment' };

export type NewsQueryVariables = Exact<{ [key: string]: never; }>;


export type NewsQuery = { __typename?: 'Query', index?: (
    { __typename?: 'NewsIndex' }
    & { ' $fragmentRefs'?: { 'NewsIndexFragment': NewsIndexFragment } }
  ) | null, news: Array<{ __typename?: 'AssociationIndex' } | { __typename?: 'AssociationPage' } | { __typename?: 'ContactIndex' } | { __typename?: 'EventIndex' } | { __typename?: 'EventPage' } | { __typename?: 'GenericPage' } | { __typename?: 'HomePage' } | { __typename?: 'NewsIndex' } | (
    { __typename?: 'NewsPage' }
    & { ' $fragmentRefs'?: { 'NewsFragment': NewsFragment } }
  ) | { __typename?: 'Page' } | { __typename?: 'VenueIndex' } | { __typename?: 'VenuePage' } | { __typename?: 'VenueRentalIndex' }> };

export type OpeningHoursSetsQueryVariables = Exact<{ [key: string]: never; }>;


export type OpeningHoursSetsQuery = { __typename?: 'Query', openingHoursSets?: Array<(
    { __typename?: 'OpeningHoursSet' }
    & { ' $fragmentRefs'?: { 'OpeningHoursSetFragmentFragment': OpeningHoursSetFragmentFragment } }
  ) | null> | null };

export type OpeningHoursSetFragmentFragment = { __typename?: 'OpeningHoursSet', name: string, effectiveFrom: string, effectiveTo?: string | null, announcement?: string | null, items?: Array<{ __typename?: 'OpeningHoursItem', id?: string | null, function: string, week?: Array<{ __typename?: 'AccordionBlock', id?: string | null, blockType: string } | { __typename?: 'BlockQuoteBlock', id?: string | null, blockType: string } | { __typename?: 'BooleanBlock', id?: string | null, blockType: string } | { __typename?: 'CharBlock', id?: string | null, blockType: string } | { __typename?: 'ChoiceBlock', id?: string | null, blockType: string } | { __typename?: 'ContactEntityBlock', id?: string | null, blockType: string } | { __typename?: 'ContactListBlock', id?: string | null, blockType: string } | { __typename?: 'ContactSectionBlock', id?: string | null, blockType: string } | { __typename?: 'ContactSubsectionBlock', id?: string | null, blockType: string } | { __typename?: 'DateBlock', id?: string | null, blockType: string } | { __typename?: 'DateTimeBlock', id?: string | null, blockType: string } | { __typename?: 'DecimalBlock', id?: string | null, blockType: string } | { __typename?: 'DocumentChooserBlock', id?: string | null, blockType: string } | { __typename?: 'EmailBlock', id?: string | null, blockType: string } | { __typename?: 'EmbedBlock', id?: string | null, blockType: string } | { __typename?: 'FactBoxBlock', id?: string | null, blockType: string } | { __typename?: 'FeaturedBlock', id?: string | null, blockType: string } | { __typename?: 'FloatBlock', id?: string | null, blockType: string } | { __typename?: 'HorizontalRuleBlock', id?: string | null, blockType: string } | { __typename?: 'ImageChooserBlock', id?: string | null, blockType: string } | { __typename?: 'ImageSliderBlock', id?: string | null, blockType: string } | { __typename?: 'ImageSliderItemBlock', id?: string | null, blockType: string } | { __typename?: 'ImageWithTextBlock', id?: string | null, blockType: string } | { __typename?: 'IntegerBlock', id?: string | null, blockType: string } | { __typename?: 'ListBlock', id?: string | null, blockType: string } | { __typename?: 'OpeningHoursRangeBlock', id?: string | null, blockType: string } | (
      { __typename?: 'OpeningHoursWeekBlock', id?: string | null, blockType: string }
      & { ' $fragmentRefs'?: { 'OpeningHoursWeekBlockFragment': OpeningHoursWeekBlockFragment } }
    ) | { __typename?: 'PageChooserBlock', id?: string | null, blockType: string } | { __typename?: 'PageSectionBlock', id?: string | null, blockType: string } | { __typename?: 'RawHTMLBlock', id?: string | null, blockType: string } | { __typename?: 'RegexBlock', id?: string | null, blockType: string } | { __typename?: 'RichTextBlock', id?: string | null, blockType: string } | { __typename?: 'StaticBlock', id?: string | null, blockType: string } | { __typename?: 'StreamBlock', id?: string | null, blockType: string } | { __typename?: 'StreamFieldBlock', id?: string | null, blockType: string } | { __typename?: 'StructBlock', id?: string | null, blockType: string } | { __typename?: 'TextBlock', id?: string | null, blockType: string } | { __typename?: 'TimeBlock', id?: string | null, blockType: string } | { __typename?: 'URLBlock', id?: string | null, blockType: string } | null> | null } | null> | null } & { ' $fragmentName'?: 'OpeningHoursSetFragmentFragment' };

export type OpeningHoursRangeBlockFragment = { __typename?: 'OpeningHoursRangeBlock', timeFrom?: string | null, timeTo?: string | null, custom?: string | null } & { ' $fragmentName'?: 'OpeningHoursRangeBlockFragment' };

export type OpeningHoursWeekBlockFragment = { __typename?: 'OpeningHoursWeekBlock', monday?: { __typename?: 'AccordionBlock' } | { __typename?: 'BlockQuoteBlock' } | { __typename?: 'BooleanBlock' } | { __typename?: 'CharBlock' } | { __typename?: 'ChoiceBlock' } | { __typename?: 'ContactEntityBlock' } | { __typename?: 'ContactListBlock' } | { __typename?: 'ContactSectionBlock' } | { __typename?: 'ContactSubsectionBlock' } | { __typename?: 'DateBlock' } | { __typename?: 'DateTimeBlock' } | { __typename?: 'DecimalBlock' } | { __typename?: 'DocumentChooserBlock' } | { __typename?: 'EmailBlock' } | { __typename?: 'EmbedBlock' } | { __typename?: 'FactBoxBlock' } | { __typename?: 'FeaturedBlock' } | { __typename?: 'FloatBlock' } | { __typename?: 'HorizontalRuleBlock' } | { __typename?: 'ImageChooserBlock' } | { __typename?: 'ImageSliderBlock' } | { __typename?: 'ImageSliderItemBlock' } | { __typename?: 'ImageWithTextBlock' } | { __typename?: 'IntegerBlock' } | { __typename?: 'ListBlock' } | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OpeningHoursRangeBlockFragment': OpeningHoursRangeBlockFragment } }
  ) | { __typename?: 'OpeningHoursWeekBlock' } | { __typename?: 'PageChooserBlock' } | { __typename?: 'PageSectionBlock' } | { __typename?: 'RawHTMLBlock' } | { __typename?: 'RegexBlock' } | { __typename?: 'RichTextBlock' } | { __typename?: 'StaticBlock' } | { __typename?: 'StreamBlock' } | { __typename?: 'StreamFieldBlock' } | { __typename?: 'StructBlock' } | { __typename?: 'TextBlock' } | { __typename?: 'TimeBlock' } | { __typename?: 'URLBlock' } | null, tuesday?: { __typename?: 'AccordionBlock' } | { __typename?: 'BlockQuoteBlock' } | { __typename?: 'BooleanBlock' } | { __typename?: 'CharBlock' } | { __typename?: 'ChoiceBlock' } | { __typename?: 'ContactEntityBlock' } | { __typename?: 'ContactListBlock' } | { __typename?: 'ContactSectionBlock' } | { __typename?: 'ContactSubsectionBlock' } | { __typename?: 'DateBlock' } | { __typename?: 'DateTimeBlock' } | { __typename?: 'DecimalBlock' } | { __typename?: 'DocumentChooserBlock' } | { __typename?: 'EmailBlock' } | { __typename?: 'EmbedBlock' } | { __typename?: 'FactBoxBlock' } | { __typename?: 'FeaturedBlock' } | { __typename?: 'FloatBlock' } | { __typename?: 'HorizontalRuleBlock' } | { __typename?: 'ImageChooserBlock' } | { __typename?: 'ImageSliderBlock' } | { __typename?: 'ImageSliderItemBlock' } | { __typename?: 'ImageWithTextBlock' } | { __typename?: 'IntegerBlock' } | { __typename?: 'ListBlock' } | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OpeningHoursRangeBlockFragment': OpeningHoursRangeBlockFragment } }
  ) | { __typename?: 'OpeningHoursWeekBlock' } | { __typename?: 'PageChooserBlock' } | { __typename?: 'PageSectionBlock' } | { __typename?: 'RawHTMLBlock' } | { __typename?: 'RegexBlock' } | { __typename?: 'RichTextBlock' } | { __typename?: 'StaticBlock' } | { __typename?: 'StreamBlock' } | { __typename?: 'StreamFieldBlock' } | { __typename?: 'StructBlock' } | { __typename?: 'TextBlock' } | { __typename?: 'TimeBlock' } | { __typename?: 'URLBlock' } | null, wednesday?: { __typename?: 'AccordionBlock' } | { __typename?: 'BlockQuoteBlock' } | { __typename?: 'BooleanBlock' } | { __typename?: 'CharBlock' } | { __typename?: 'ChoiceBlock' } | { __typename?: 'ContactEntityBlock' } | { __typename?: 'ContactListBlock' } | { __typename?: 'ContactSectionBlock' } | { __typename?: 'ContactSubsectionBlock' } | { __typename?: 'DateBlock' } | { __typename?: 'DateTimeBlock' } | { __typename?: 'DecimalBlock' } | { __typename?: 'DocumentChooserBlock' } | { __typename?: 'EmailBlock' } | { __typename?: 'EmbedBlock' } | { __typename?: 'FactBoxBlock' } | { __typename?: 'FeaturedBlock' } | { __typename?: 'FloatBlock' } | { __typename?: 'HorizontalRuleBlock' } | { __typename?: 'ImageChooserBlock' } | { __typename?: 'ImageSliderBlock' } | { __typename?: 'ImageSliderItemBlock' } | { __typename?: 'ImageWithTextBlock' } | { __typename?: 'IntegerBlock' } | { __typename?: 'ListBlock' } | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OpeningHoursRangeBlockFragment': OpeningHoursRangeBlockFragment } }
  ) | { __typename?: 'OpeningHoursWeekBlock' } | { __typename?: 'PageChooserBlock' } | { __typename?: 'PageSectionBlock' } | { __typename?: 'RawHTMLBlock' } | { __typename?: 'RegexBlock' } | { __typename?: 'RichTextBlock' } | { __typename?: 'StaticBlock' } | { __typename?: 'StreamBlock' } | { __typename?: 'StreamFieldBlock' } | { __typename?: 'StructBlock' } | { __typename?: 'TextBlock' } | { __typename?: 'TimeBlock' } | { __typename?: 'URLBlock' } | null, thursday?: { __typename?: 'AccordionBlock' } | { __typename?: 'BlockQuoteBlock' } | { __typename?: 'BooleanBlock' } | { __typename?: 'CharBlock' } | { __typename?: 'ChoiceBlock' } | { __typename?: 'ContactEntityBlock' } | { __typename?: 'ContactListBlock' } | { __typename?: 'ContactSectionBlock' } | { __typename?: 'ContactSubsectionBlock' } | { __typename?: 'DateBlock' } | { __typename?: 'DateTimeBlock' } | { __typename?: 'DecimalBlock' } | { __typename?: 'DocumentChooserBlock' } | { __typename?: 'EmailBlock' } | { __typename?: 'EmbedBlock' } | { __typename?: 'FactBoxBlock' } | { __typename?: 'FeaturedBlock' } | { __typename?: 'FloatBlock' } | { __typename?: 'HorizontalRuleBlock' } | { __typename?: 'ImageChooserBlock' } | { __typename?: 'ImageSliderBlock' } | { __typename?: 'ImageSliderItemBlock' } | { __typename?: 'ImageWithTextBlock' } | { __typename?: 'IntegerBlock' } | { __typename?: 'ListBlock' } | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OpeningHoursRangeBlockFragment': OpeningHoursRangeBlockFragment } }
  ) | { __typename?: 'OpeningHoursWeekBlock' } | { __typename?: 'PageChooserBlock' } | { __typename?: 'PageSectionBlock' } | { __typename?: 'RawHTMLBlock' } | { __typename?: 'RegexBlock' } | { __typename?: 'RichTextBlock' } | { __typename?: 'StaticBlock' } | { __typename?: 'StreamBlock' } | { __typename?: 'StreamFieldBlock' } | { __typename?: 'StructBlock' } | { __typename?: 'TextBlock' } | { __typename?: 'TimeBlock' } | { __typename?: 'URLBlock' } | null, friday?: { __typename?: 'AccordionBlock' } | { __typename?: 'BlockQuoteBlock' } | { __typename?: 'BooleanBlock' } | { __typename?: 'CharBlock' } | { __typename?: 'ChoiceBlock' } | { __typename?: 'ContactEntityBlock' } | { __typename?: 'ContactListBlock' } | { __typename?: 'ContactSectionBlock' } | { __typename?: 'ContactSubsectionBlock' } | { __typename?: 'DateBlock' } | { __typename?: 'DateTimeBlock' } | { __typename?: 'DecimalBlock' } | { __typename?: 'DocumentChooserBlock' } | { __typename?: 'EmailBlock' } | { __typename?: 'EmbedBlock' } | { __typename?: 'FactBoxBlock' } | { __typename?: 'FeaturedBlock' } | { __typename?: 'FloatBlock' } | { __typename?: 'HorizontalRuleBlock' } | { __typename?: 'ImageChooserBlock' } | { __typename?: 'ImageSliderBlock' } | { __typename?: 'ImageSliderItemBlock' } | { __typename?: 'ImageWithTextBlock' } | { __typename?: 'IntegerBlock' } | { __typename?: 'ListBlock' } | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OpeningHoursRangeBlockFragment': OpeningHoursRangeBlockFragment } }
  ) | { __typename?: 'OpeningHoursWeekBlock' } | { __typename?: 'PageChooserBlock' } | { __typename?: 'PageSectionBlock' } | { __typename?: 'RawHTMLBlock' } | { __typename?: 'RegexBlock' } | { __typename?: 'RichTextBlock' } | { __typename?: 'StaticBlock' } | { __typename?: 'StreamBlock' } | { __typename?: 'StreamFieldBlock' } | { __typename?: 'StructBlock' } | { __typename?: 'TextBlock' } | { __typename?: 'TimeBlock' } | { __typename?: 'URLBlock' } | null, saturday?: { __typename?: 'AccordionBlock' } | { __typename?: 'BlockQuoteBlock' } | { __typename?: 'BooleanBlock' } | { __typename?: 'CharBlock' } | { __typename?: 'ChoiceBlock' } | { __typename?: 'ContactEntityBlock' } | { __typename?: 'ContactListBlock' } | { __typename?: 'ContactSectionBlock' } | { __typename?: 'ContactSubsectionBlock' } | { __typename?: 'DateBlock' } | { __typename?: 'DateTimeBlock' } | { __typename?: 'DecimalBlock' } | { __typename?: 'DocumentChooserBlock' } | { __typename?: 'EmailBlock' } | { __typename?: 'EmbedBlock' } | { __typename?: 'FactBoxBlock' } | { __typename?: 'FeaturedBlock' } | { __typename?: 'FloatBlock' } | { __typename?: 'HorizontalRuleBlock' } | { __typename?: 'ImageChooserBlock' } | { __typename?: 'ImageSliderBlock' } | { __typename?: 'ImageSliderItemBlock' } | { __typename?: 'ImageWithTextBlock' } | { __typename?: 'IntegerBlock' } | { __typename?: 'ListBlock' } | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OpeningHoursRangeBlockFragment': OpeningHoursRangeBlockFragment } }
  ) | { __typename?: 'OpeningHoursWeekBlock' } | { __typename?: 'PageChooserBlock' } | { __typename?: 'PageSectionBlock' } | { __typename?: 'RawHTMLBlock' } | { __typename?: 'RegexBlock' } | { __typename?: 'RichTextBlock' } | { __typename?: 'StaticBlock' } | { __typename?: 'StreamBlock' } | { __typename?: 'StreamFieldBlock' } | { __typename?: 'StructBlock' } | { __typename?: 'TextBlock' } | { __typename?: 'TimeBlock' } | { __typename?: 'URLBlock' } | null, sunday?: { __typename?: 'AccordionBlock' } | { __typename?: 'BlockQuoteBlock' } | { __typename?: 'BooleanBlock' } | { __typename?: 'CharBlock' } | { __typename?: 'ChoiceBlock' } | { __typename?: 'ContactEntityBlock' } | { __typename?: 'ContactListBlock' } | { __typename?: 'ContactSectionBlock' } | { __typename?: 'ContactSubsectionBlock' } | { __typename?: 'DateBlock' } | { __typename?: 'DateTimeBlock' } | { __typename?: 'DecimalBlock' } | { __typename?: 'DocumentChooserBlock' } | { __typename?: 'EmailBlock' } | { __typename?: 'EmbedBlock' } | { __typename?: 'FactBoxBlock' } | { __typename?: 'FeaturedBlock' } | { __typename?: 'FloatBlock' } | { __typename?: 'HorizontalRuleBlock' } | { __typename?: 'ImageChooserBlock' } | { __typename?: 'ImageSliderBlock' } | { __typename?: 'ImageSliderItemBlock' } | { __typename?: 'ImageWithTextBlock' } | { __typename?: 'IntegerBlock' } | { __typename?: 'ListBlock' } | (
    { __typename?: 'OpeningHoursRangeBlock' }
    & { ' $fragmentRefs'?: { 'OpeningHoursRangeBlockFragment': OpeningHoursRangeBlockFragment } }
  ) | { __typename?: 'OpeningHoursWeekBlock' } | { __typename?: 'PageChooserBlock' } | { __typename?: 'PageSectionBlock' } | { __typename?: 'RawHTMLBlock' } | { __typename?: 'RegexBlock' } | { __typename?: 'RichTextBlock' } | { __typename?: 'StaticBlock' } | { __typename?: 'StreamBlock' } | { __typename?: 'StreamFieldBlock' } | { __typename?: 'StructBlock' } | { __typename?: 'TextBlock' } | { __typename?: 'TimeBlock' } | { __typename?: 'URLBlock' } | null } & { ' $fragmentName'?: 'OpeningHoursWeekBlockFragment' };

export const ImageFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}}]} as unknown as DocumentNode<ImageFragment, unknown>;
export const ContactEntityFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}}]} as unknown as DocumentNode<ContactEntityFragment, unknown>;
export const OneLevelOfBlocksFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]} as unknown as DocumentNode<OneLevelOfBlocksFragment, unknown>;
export const BlocksFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}}]} as unknown as DocumentNode<BlocksFragment, unknown>;
export const GenericFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Generic"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GenericPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"urlPath"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]} as unknown as DocumentNode<GenericFragment, unknown>;
export const AssociationIndexFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"AssociationIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]} as unknown as DocumentNode<AssociationIndexFragment, unknown>;
export const AssociationFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Association"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"excerpt"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"logo"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}}]}},{"kind":"Field","name":{"kind":"Name","value":"associationType"}},{"kind":"Field","name":{"kind":"Name","value":"websiteUrl"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]} as unknown as DocumentNode<AssociationFragment, unknown>;
export const ContactIndexFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]} as unknown as DocumentNode<ContactIndexFragment, unknown>;
export const VenueIndexFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"VenueIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]} as unknown as DocumentNode<VenueIndexFragment, unknown>;
export const VenueFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Venue"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenuePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"showAsBookable"}},{"kind":"Field","name":{"kind":"Name","value":"floor"}},{"kind":"Field","name":{"kind":"Name","value":"preposition"}},{"kind":"Field","name":{"kind":"Name","value":"usedFor"}},{"kind":"Field","name":{"kind":"Name","value":"techSpecsUrl"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityAudio"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityAudioVideo"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityBar"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityLighting"}},{"kind":"Field","name":{"kind":"Name","value":"capacityLegal"}},{"kind":"Field","name":{"kind":"Name","value":"capacityStanding"}},{"kind":"Field","name":{"kind":"Name","value":"capacitySitting"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]} as unknown as DocumentNode<VenueFragment, unknown>;
export const HomeFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Home"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HomePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HomePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredEvents"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}}]}}]}}]}}]} as unknown as DocumentNode<HomeFragment, unknown>;
export const VenueRentalIndexFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"VenueRentalIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueRentalIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueRentalIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]} as unknown as DocumentNode<VenueRentalIndexFragment, unknown>;
export const EventFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Event"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"subtitle"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"pig"}},{"kind":"Field","name":{"kind":"Name","value":"facebookUrl"}},{"kind":"Field","name":{"kind":"Name","value":"ticketUrl"}},{"kind":"Field","name":{"kind":"Name","value":"free"}},{"kind":"Field","name":{"kind":"Name","value":"priceRegular"}},{"kind":"Field","name":{"kind":"Name","value":"priceMember"}},{"kind":"Field","name":{"kind":"Name","value":"priceStudent"}},{"kind":"Field","name":{"kind":"Name","value":"categories"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventCategory"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"pig"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"occurrences"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventOccurrence"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"start"}},{"kind":"Field","name":{"kind":"Name","value":"end"}},{"kind":"Field","name":{"kind":"Name","value":"venue"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"preposition"}},{"kind":"Field","name":{"kind":"Name","value":"url"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"organizers"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventOrganizer"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"externalUrl"}},{"kind":"Field","name":{"kind":"Name","value":"association"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}}]}}]}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}}]} as unknown as DocumentNode<EventFragment, unknown>;
export const NewsFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"News"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"firstPublishedAt"}},{"kind":"Field","name":{"kind":"Name","value":"excerpt"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]} as unknown as DocumentNode<NewsFragment, unknown>;
export const NewsIndexFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"NewsIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}}]}}]} as unknown as DocumentNode<NewsIndexFragment, unknown>;
export const OpeningHoursRangeBlockFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OpeningHoursRangeBlock"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"timeFrom"}},{"kind":"Field","name":{"kind":"Name","value":"timeTo"}},{"kind":"Field","name":{"kind":"Name","value":"custom"}}]}}]} as unknown as DocumentNode<OpeningHoursRangeBlockFragment, unknown>;
export const OpeningHoursWeekBlockFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OpeningHoursWeekBlock"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursWeekBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"monday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"tuesday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"wednesday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"thursday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"friday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"saturday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"sunday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OpeningHoursRangeBlock"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"timeFrom"}},{"kind":"Field","name":{"kind":"Name","value":"timeTo"}},{"kind":"Field","name":{"kind":"Name","value":"custom"}}]}}]} as unknown as DocumentNode<OpeningHoursWeekBlockFragment, unknown>;
export const OpeningHoursSetFragmentFragmentDoc = {"kind":"Document","definitions":[{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OpeningHoursSetFragment"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursSet"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"effectiveFrom"}},{"kind":"Field","name":{"kind":"Name","value":"effectiveTo"}},{"kind":"Field","name":{"kind":"Name","value":"announcement"}},{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"function"}},{"kind":"Field","name":{"kind":"Name","value":"week"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursWeekBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursWeekBlock"}}]}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OpeningHoursRangeBlock"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"timeFrom"}},{"kind":"Field","name":{"kind":"Name","value":"timeTo"}},{"kind":"Field","name":{"kind":"Name","value":"custom"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OpeningHoursWeekBlock"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursWeekBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"monday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"tuesday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"wednesday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"thursday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"friday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"saturday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"sunday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}}]}}]} as unknown as DocumentNode<OpeningHoursSetFragmentFragment, unknown>;
export const AllGenericSlugsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"allGenericSlugs"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"generic.GenericPage","block":false}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"urlPath"}}]}}]}}]} as unknown as DocumentNode<AllGenericSlugsQuery, AllGenericSlugsQueryVariables>;
export const GenericPageByUrlDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"genericPageByUrl"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"urlPath"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"page"},"name":{"kind":"Name","value":"page"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"generic.GenericPage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"urlPath"},"value":{"kind":"Variable","name":{"kind":"Name","value":"urlPath"}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GenericPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Generic"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Generic"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GenericPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"urlPath"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]} as unknown as DocumentNode<GenericPageByUrlQuery, GenericPageByUrlQueryVariables>;
export const AllNewsSlugsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"allNewsSlugs"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"news.NewsPage","block":false}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}}]}}]}}]} as unknown as DocumentNode<AllNewsSlugsQuery, AllNewsSlugsQueryVariables>;
export const NewsBySlugDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"newsBySlug"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"slug"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"news"},"name":{"kind":"Name","value":"page"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"news.NewsPage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"slug"},"value":{"kind":"Variable","name":{"kind":"Name","value":"slug"}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"News"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"News"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"firstPublishedAt"}},{"kind":"Field","name":{"kind":"Name","value":"excerpt"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]} as unknown as DocumentNode<NewsBySlugQuery, NewsBySlugQueryVariables>;
export const AllEventSlugsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"allEventSlugs"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"events.EventPage","block":false}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}}]}}]}}]} as unknown as DocumentNode<AllEventSlugsQuery, AllEventSlugsQueryVariables>;
export const EventBySlugDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"eventBySlug"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"slug"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"event"},"name":{"kind":"Name","value":"page"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"events.EventPage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"slug"},"value":{"kind":"Variable","name":{"kind":"Name","value":"slug"}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Event"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Event"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"subtitle"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"pig"}},{"kind":"Field","name":{"kind":"Name","value":"facebookUrl"}},{"kind":"Field","name":{"kind":"Name","value":"ticketUrl"}},{"kind":"Field","name":{"kind":"Name","value":"free"}},{"kind":"Field","name":{"kind":"Name","value":"priceRegular"}},{"kind":"Field","name":{"kind":"Name","value":"priceMember"}},{"kind":"Field","name":{"kind":"Name","value":"priceStudent"}},{"kind":"Field","name":{"kind":"Name","value":"categories"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventCategory"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"pig"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"occurrences"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventOccurrence"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"start"}},{"kind":"Field","name":{"kind":"Name","value":"end"}},{"kind":"Field","name":{"kind":"Name","value":"venue"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"preposition"}},{"kind":"Field","name":{"kind":"Name","value":"url"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"organizers"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventOrganizer"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"externalUrl"}},{"kind":"Field","name":{"kind":"Name","value":"association"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}}]}}]}}]}}]}}]}}]} as unknown as DocumentNode<EventBySlugQuery, EventBySlugQueryVariables>;
export const AllAssociationSlugsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"allAssociationSlugs"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"associations.AssociationPage","block":false}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}}]}}]}}]} as unknown as DocumentNode<AllAssociationSlugsQuery, AllAssociationSlugsQueryVariables>;
export const AssociationBySlugDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"associationBySlug"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"slug"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"association"},"name":{"kind":"Name","value":"page"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"associations.AssociationPage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"slug"},"value":{"kind":"Variable","name":{"kind":"Name","value":"slug"}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Association"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Association"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"excerpt"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"logo"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}}]}},{"kind":"Field","name":{"kind":"Name","value":"associationType"}},{"kind":"Field","name":{"kind":"Name","value":"websiteUrl"}}]}}]} as unknown as DocumentNode<AssociationBySlugQuery, AssociationBySlugQueryVariables>;
export const AllAssociationsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"allAssociations"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"index"},"name":{"kind":"Name","value":"associationIndex"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"AssociationIndex"}}]}}]}},{"kind":"Field","alias":{"kind":"Name","value":"associations"},"name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"associations.AssociationPage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"limit"},"value":{"kind":"IntValue","value":"1000"}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Association"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"AssociationIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Association"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"excerpt"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"logo"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}}]}},{"kind":"Field","name":{"kind":"Name","value":"associationType"}},{"kind":"Field","name":{"kind":"Name","value":"websiteUrl"}}]}}]} as unknown as DocumentNode<AllAssociationsQuery, AllAssociationsQueryVariables>;
export const ContactsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"contacts"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactIndex"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactIndex"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]}}]} as unknown as DocumentNode<ContactsQuery, ContactsQueryVariables>;
export const AllVenueSlugsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"allVenueSlugs"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"venues.VenuePage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"limit"},"value":{"kind":"IntValue","value":"100"}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}}]}}]}}]} as unknown as DocumentNode<AllVenueSlugsQuery, AllVenueSlugsQueryVariables>;
export const VenueBySlugDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"venueBySlug"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"slug"}},"type":{"kind":"NonNullType","type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"venue"},"name":{"kind":"Name","value":"page"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"venues.VenuePage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"slug"},"value":{"kind":"Variable","name":{"kind":"Name","value":"slug"}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenuePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Venue"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Venue"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenuePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"showAsBookable"}},{"kind":"Field","name":{"kind":"Name","value":"floor"}},{"kind":"Field","name":{"kind":"Name","value":"preposition"}},{"kind":"Field","name":{"kind":"Name","value":"usedFor"}},{"kind":"Field","name":{"kind":"Name","value":"techSpecsUrl"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityAudio"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityAudioVideo"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityBar"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityLighting"}},{"kind":"Field","name":{"kind":"Name","value":"capacityLegal"}},{"kind":"Field","name":{"kind":"Name","value":"capacityStanding"}},{"kind":"Field","name":{"kind":"Name","value":"capacitySitting"}}]}}]} as unknown as DocumentNode<VenueBySlugQuery, VenueBySlugQueryVariables>;
export const VenueIndexDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"venueIndex"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"index"},"name":{"kind":"Name","value":"venueIndex"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"VenueIndex"}}]}}]}},{"kind":"Field","alias":{"kind":"Name","value":"venues"},"name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"venues.VenuePage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"limit"},"value":{"kind":"IntValue","value":"100"}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenuePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Venue"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"VenueIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Venue"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenuePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"showAsBookable"}},{"kind":"Field","name":{"kind":"Name","value":"floor"}},{"kind":"Field","name":{"kind":"Name","value":"preposition"}},{"kind":"Field","name":{"kind":"Name","value":"usedFor"}},{"kind":"Field","name":{"kind":"Name","value":"techSpecsUrl"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityAudio"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityAudioVideo"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityBar"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityLighting"}},{"kind":"Field","name":{"kind":"Name","value":"capacityLegal"}},{"kind":"Field","name":{"kind":"Name","value":"capacityStanding"}},{"kind":"Field","name":{"kind":"Name","value":"capacitySitting"}}]}}]} as unknown as DocumentNode<VenueIndexQuery, VenueIndexQueryVariables>;
export const HomeDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"home"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"events"},"name":{"kind":"Name","value":"eventIndex"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"futureEvents"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Event"}}]}}]}}]}}]}},{"kind":"Field","alias":{"kind":"Name","value":"home"},"name":{"kind":"Name","value":"page"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"home.HomePage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"urlPath"},"value":{"kind":"StringValue","value":"/home/","block":false}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HomePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Home"}}]}}]}},{"kind":"Field","alias":{"kind":"Name","value":"news"},"name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"news.newsPage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"order"},"value":{"kind":"StringValue","value":"-first_published_at","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"limit"},"value":{"kind":"IntValue","value":"4"}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"News"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Event"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"subtitle"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"pig"}},{"kind":"Field","name":{"kind":"Name","value":"facebookUrl"}},{"kind":"Field","name":{"kind":"Name","value":"ticketUrl"}},{"kind":"Field","name":{"kind":"Name","value":"free"}},{"kind":"Field","name":{"kind":"Name","value":"priceRegular"}},{"kind":"Field","name":{"kind":"Name","value":"priceMember"}},{"kind":"Field","name":{"kind":"Name","value":"priceStudent"}},{"kind":"Field","name":{"kind":"Name","value":"categories"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventCategory"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"pig"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"occurrences"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventOccurrence"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"start"}},{"kind":"Field","name":{"kind":"Name","value":"end"}},{"kind":"Field","name":{"kind":"Name","value":"venue"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"preposition"}},{"kind":"Field","name":{"kind":"Name","value":"url"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"organizers"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventOrganizer"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"externalUrl"}},{"kind":"Field","name":{"kind":"Name","value":"association"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}}]}}]}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Home"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HomePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HomePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredEvents"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"News"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"firstPublishedAt"}},{"kind":"Field","name":{"kind":"Name","value":"excerpt"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]} as unknown as DocumentNode<HomeQuery, HomeQueryVariables>;
export const SearchDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"search"},"variableDefinitions":[{"kind":"VariableDefinition","variable":{"kind":"Variable","name":{"kind":"Name","value":"query"}},"type":{"kind":"NamedType","name":{"kind":"Name","value":"String"}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"results"},"name":{"kind":"Name","value":"search"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"query"},"value":{"kind":"Variable","name":{"kind":"Name","value":"query"}}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"title"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"title"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"GenericPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"title"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenuePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"title"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"associationType"}}]}}]}}]}}]} as unknown as DocumentNode<SearchQuery, SearchQueryVariables>;
export const VenueRentalIndexDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"venueRentalIndex"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"index"},"name":{"kind":"Name","value":"venueRentalIndex"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueRentalIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"VenueRentalIndex"}}]}}]}},{"kind":"Field","alias":{"kind":"Name","value":"venues"},"name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"venues.VenuePage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"limit"},"value":{"kind":"IntValue","value":"100"}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenuePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Venue"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"VenueRentalIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueRentalIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenueRentalIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Venue"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenuePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"showAsBookable"}},{"kind":"Field","name":{"kind":"Name","value":"floor"}},{"kind":"Field","name":{"kind":"Name","value":"preposition"}},{"kind":"Field","name":{"kind":"Name","value":"usedFor"}},{"kind":"Field","name":{"kind":"Name","value":"techSpecsUrl"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityAudio"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityAudioVideo"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityBar"}},{"kind":"Field","name":{"kind":"Name","value":"capabilityLighting"}},{"kind":"Field","name":{"kind":"Name","value":"capacityLegal"}},{"kind":"Field","name":{"kind":"Name","value":"capacityStanding"}},{"kind":"Field","name":{"kind":"Name","value":"capacitySitting"}}]}}]} as unknown as DocumentNode<VenueRentalIndexQuery, VenueRentalIndexQueryVariables>;
export const FutureEventsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"futureEvents"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"events"},"name":{"kind":"Name","value":"eventIndex"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"futureEvents"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Event"}}]}}]}}]}}]}},{"kind":"Field","alias":{"kind":"Name","value":"eventCategories"},"name":{"kind":"Name","value":"eventCategories"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventCategory"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"showInFilters"}}]}}]}},{"kind":"Field","alias":{"kind":"Name","value":"eventOrganizers"},"name":{"kind":"Name","value":"eventOrganizers"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventOrganizer"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"externalUrl"}},{"kind":"Field","name":{"kind":"Name","value":"association"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}}]}}]}}]}}]}},{"kind":"Field","alias":{"kind":"Name","value":"venues"},"name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"venues.VenuePage","block":false}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"VenuePage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"preposition"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Event"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"subtitle"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"pig"}},{"kind":"Field","name":{"kind":"Name","value":"facebookUrl"}},{"kind":"Field","name":{"kind":"Name","value":"ticketUrl"}},{"kind":"Field","name":{"kind":"Name","value":"free"}},{"kind":"Field","name":{"kind":"Name","value":"priceRegular"}},{"kind":"Field","name":{"kind":"Name","value":"priceMember"}},{"kind":"Field","name":{"kind":"Name","value":"priceStudent"}},{"kind":"Field","name":{"kind":"Name","value":"categories"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventCategory"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"pig"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"occurrences"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventOccurrence"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"start"}},{"kind":"Field","name":{"kind":"Name","value":"end"}},{"kind":"Field","name":{"kind":"Name","value":"venue"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"preposition"}},{"kind":"Field","name":{"kind":"Name","value":"url"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"organizers"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventOrganizer"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"externalUrl"}},{"kind":"Field","name":{"kind":"Name","value":"association"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AssociationPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}}]}}]}}]}}]}}]}}]} as unknown as DocumentNode<FutureEventsQuery, FutureEventsQueryVariables>;
export const NewsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"news"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","alias":{"kind":"Name","value":"index"},"name":{"kind":"Name","value":"newsIndex"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"NewsIndex"}}]}}]}},{"kind":"Field","alias":{"kind":"Name","value":"news"},"name":{"kind":"Name","value":"pages"},"arguments":[{"kind":"Argument","name":{"kind":"Name","value":"contentType"},"value":{"kind":"StringValue","value":"news.NewsPage","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"order"},"value":{"kind":"StringValue","value":"-first_published_at","block":false}},{"kind":"Argument","name":{"kind":"Name","value":"limit"},"value":{"kind":"IntValue","value":"1000"}}],"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"News"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Image"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"CustomImage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"width"}},{"kind":"Field","name":{"kind":"Name","value":"height"}},{"kind":"Field","name":{"kind":"Name","value":"alt"}},{"kind":"Field","name":{"kind":"Name","value":"attribution"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"ContactEntity"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntity"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"contactType"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"email"}},{"kind":"Field","name":{"kind":"Name","value":"phoneNumber"}},{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OneLevelOfBlocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"Field","name":{"kind":"Name","value":"field"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"RichTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"rawValue"}},{"kind":"Field","name":{"kind":"Name","value":"value"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageWithTextBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"imageFormat"}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"images"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ImageSliderItemBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"image"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"text"}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"HorizontalRuleBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"color"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FeaturedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","alias":{"kind":"Name","value":"featuredBlockText"},"name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"linkText"}},{"kind":"Field","name":{"kind":"Name","value":"imagePosition"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"featuredPage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contentType"}},{"kind":"Field","name":{"kind":"Name","value":"pageType"}},{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EventPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"featuredImageOverride"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactListBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactEntityBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"contactEntity"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"ContactEntity"}}]}}]}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"EmbedBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"url"}},{"kind":"Field","name":{"kind":"Name","value":"embed"}},{"kind":"Field","name":{"kind":"Name","value":"rawEmbed"}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"FactBoxBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","alias":{"kind":"Name","value":"factBoxBody"},"name":{"kind":"Name","value":"body"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"Blocks"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"StreamFieldInterface"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"AccordionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"heading"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"PageSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"backgroundColor"}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"ContactSubsectionBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"text"}},{"kind":"Field","name":{"kind":"Name","value":"blocks"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}}]}},{"kind":"FragmentSpread","name":{"kind":"Name","value":"OneLevelOfBlocks"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"NewsIndex"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsIndex"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"News"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"NewsPage"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"__typename"}},{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"slug"}},{"kind":"Field","name":{"kind":"Name","value":"title"}},{"kind":"Field","name":{"kind":"Name","value":"firstPublishedAt"}},{"kind":"Field","name":{"kind":"Name","value":"excerpt"}},{"kind":"Field","name":{"kind":"Name","value":"lead"}},{"kind":"Field","name":{"kind":"Name","value":"featuredImage"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Image"}}]}},{"kind":"Field","name":{"kind":"Name","value":"body"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"Blocks"}}]}}]}}]} as unknown as DocumentNode<NewsQuery, NewsQueryVariables>;
export const OpeningHoursSetsDocument = {"kind":"Document","definitions":[{"kind":"OperationDefinition","operation":"query","name":{"kind":"Name","value":"openingHoursSets"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"openingHoursSets"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursSetFragment"}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OpeningHoursRangeBlock"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"timeFrom"}},{"kind":"Field","name":{"kind":"Name","value":"timeTo"}},{"kind":"Field","name":{"kind":"Name","value":"custom"}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OpeningHoursWeekBlock"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursWeekBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"monday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"tuesday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"wednesday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"thursday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"friday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"saturday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}},{"kind":"Field","name":{"kind":"Name","value":"sunday"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursRangeBlock"}}]}}]}}]}},{"kind":"FragmentDefinition","name":{"kind":"Name","value":"OpeningHoursSetFragment"},"typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursSet"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"name"}},{"kind":"Field","name":{"kind":"Name","value":"effectiveFrom"}},{"kind":"Field","name":{"kind":"Name","value":"effectiveTo"}},{"kind":"Field","name":{"kind":"Name","value":"announcement"}},{"kind":"Field","name":{"kind":"Name","value":"items"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"function"}},{"kind":"Field","name":{"kind":"Name","value":"week"},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"Field","name":{"kind":"Name","value":"id"}},{"kind":"Field","name":{"kind":"Name","value":"blockType"}},{"kind":"InlineFragment","typeCondition":{"kind":"NamedType","name":{"kind":"Name","value":"OpeningHoursWeekBlock"}},"selectionSet":{"kind":"SelectionSet","selections":[{"kind":"FragmentSpread","name":{"kind":"Name","value":"OpeningHoursWeekBlock"}}]}}]}}]}}]}}]} as unknown as DocumentNode<OpeningHoursSetsQuery, OpeningHoursSetsQueryVariables>;